Index: general.ent
===================================================================
--- general.ent	(revision 21007b1b9ab8b1965985171e4e6f2f0af8c5bf6b)
+++ general.ent	(revision 2612183ab782f5d759802a60cfb5c98b62dc0e40)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "06">                   <!-- Always 2 digits -->
+<!ENTITY day          "07">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2017">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "Febuary 5th &year;">
+<!ENTITY releasedate  "Febuary 7th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/apache-ant.xml
===================================================================
--- general/prog/apache-ant.xml	(revision 21007b1b9ab8b1965985171e4e6f2f0af8c5bf6b)
+++ general/prog/apache-ant.xml	(revision 2612183ab782f5d759802a60cfb5c98b62dc0e40)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY apache-ant-download-http "https://archive.apache.org/dist/ant/source/apache-ant-&apache-ant-version;-src.tar.bz2">
+  <!ENTITY apache-ant-download-http "https://archive.apache.org/dist/ant/source/apache-ant-&apache-ant-version;-src.tar.xz">
   <!ENTITY apache-ant-download-ftp  " ">
-  <!ENTITY apache-ant-md5sum        "0a55520f578a4d0990965bee49674247">
-  <!ENTITY apache-ant-size          "3.7 MB">
-  <!ENTITY apache-ant-buildsize     "115 MB">
-  <!ENTITY apache-ant-time          "0.3 SBU">
+  <!ENTITY apache-ant-md5sum        "ebecbe7488c624b06bc6a264a3a7c4ec">
+  <!ENTITY apache-ant-size          "3.4 MB">
+  <!ENTITY apache-ant-buildsize     "121 MB">
+  <!ENTITY apache-ant-time          "0.3 SBU (with a JVM using 4 cores)">
 ]>
 
@@ -143,6 +143,6 @@
 
     <para><command>cp -v ... lib/optional</command>:
-    This command copies the JUnit and hamcrest jar files into the directory where
-    Apache Ant will look for them.</para>
+    This command copies the JUnit and hamcrest jar files into the directory
+    where Apache Ant will look for them.</para>
 
     <para><command>./build.sh -Ddist.dir=/opt/ant-&apache-ant-version;
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 21007b1b9ab8b1965985171e4e6f2f0af8c5bf6b)
+++ introduction/welcome/changelog.xml	(revision 2612183ab782f5d759802a60cfb5c98b62dc0e40)
@@ -43,4 +43,14 @@
 -->
     <listitem>
+      <para>February 7th, 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to apache-ant-1.10.1. Fixes
+          <ulink url="&blfs-ticket-root;8854">#8854</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>February 6th, 2017</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 21007b1b9ab8b1965985171e4e6f2f0af8c5bf6b)
+++ packages.ent	(revision 2612183ab782f5d759802a60cfb5c98b62dc0e40)
@@ -317,5 +317,5 @@
 <!ENTITY yasm-version                 "1.3.0">
 
-<!ENTITY apache-ant-version           "1.10.0">
+<!ENTITY apache-ant-version           "1.10.1">
 <!ENTITY junit-version                "4.11">
 <!ENTITY hamcrest-version             "1.3">
Index: pst/ps/fop.xml
===================================================================
--- pst/ps/fop.xml	(revision 21007b1b9ab8b1965985171e4e6f2f0af8c5bf6b)
+++ pst/ps/fop.xml	(revision 2612183ab782f5d759802a60cfb5c98b62dc0e40)
@@ -239,7 +239,7 @@
       </para>
 
-<screen role="root"><userinput>install -v -d -m755                          /opt/fop-&fop-version; &amp;&amp;
+<screen role="root"><userinput>install -v -d -m755 -o root -g root          /opt/fop-&fop-version; &amp;&amp;
 cp -v  KEYS LICENSE NOTICE README            /opt/fop-&fop-version; &amp;&amp;
-cp -va build conf examples fop* javadocs lib /opt/fop-&fop-version; &amp;&amp;
+cp -vR build conf examples fop* javadocs lib /opt/fop-&fop-version; &amp;&amp;
 
 ln -v -sf fop-&fop-version; /opt/fop</userinput></screen>