Index: xsoft/office/evolution.xml
===================================================================
--- xsoft/office/evolution.xml	(revision ab49f6cb091a3f1801f0dd4b6b50dac60c3d596b)
+++ xsoft/office/evolution.xml	(revision 02908612c6cc3cb90ded750dc34f99a1ffaa43df)
@@ -14,170 +14,182 @@
 
 <sect1 id="evolution" xreflabel="Evolution-&evolution-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="evolution.html" ?>
-<title>Evolution-&evolution-version;</title>
-<indexterm zone="evolution">
-<primary sortas="a-Evolution">Evolution</primary></indexterm>
+  <?dbhtml filename="evolution.html" ?>
 
-<sect2>
-<title>Introduction to <application>Evolution</application></title>
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
 
-<para>The <application>Evolution</application> package contains an integrated 
-mail, calendar and address book suite designed for the 
-<application><acronym>GNOME</acronym>-2</application> environment.</para>
+  <title>Evolution-&evolution-version;</title>
 
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&evolution-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&evolution-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &evolution-md5sum;</para></listitem>
-<listitem><para>Download size: &evolution-size;</para></listitem>
-<listitem><para>Estimated disk space required:
-&evolution-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&evolution-time;</para></listitem></itemizedlist>
-</sect3>
+  <indexterm zone="evolution">
+    <primary sortas="a-Evolution">Evolution</primary>
+  </indexterm>
 
-<sect3><title><application>Evolution</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="gtkhtml"/>, 
-<xref linkend="evolution-data-server"/></para>
-</sect4>
+  <sect2 role="package">
+    <title>Introduction to Evolution</title>
 
-<sect4><title>Recommended</title>
-<para><xref linkend="mozilla"/> or 
-<xref linkend="firefox"/> or 
-<xref linkend="thunderbird"/> 
-(<acronym>NSS</acronym> and <acronym>NSPR</acronym> 
-libs and headers required for 
-<acronym>SSL</acronym> and S/<acronym>MIME</acronym> support)</para>
-</sect4>
+    <para>The <application>Evolution</application> package contains an
+    integrated mail, calendar and address book suite designed for the
+    <application>GNOME-2</application> environment.</para>
 
-<sect4><title>Optional</title>
-<para><xref linkend="gstreamer"/>, 
-<xref linkend="openldap"/>, 
-<xref linkend="sendmail"/> (or other 
-<ulink url="../server/mail.html">MTA</ulink> that links to 
-<command>/usr/sbin/sendmail</command>), 
-<xref linkend="heimdal"/> or <xref linkend="mitkrb"/>, 
-<ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink>, 
-<ulink 
-url="http://ftp.gnome.org/pub/GNOME/sources/gnome-pilot-conduits/2.0/">GNOME 
-Pilot conduits</ulink> 
-(requires <xref linkend="pilot-link"/> then <ulink 
-url="http://ftp.gnome.org/pub/GNOME/sources/gnome-pilot/2.0/">GNOME 
-Pilot</ulink>), 
-<ulink url="http://ftp.gnome.org/pub/GNOME/sources/gnome-spell/1.0/">GNOME 
-Spell</ulink>, 
-<ulink url="http://www.freedesktop.org/Software/dbus">D-BUS</ulink>, 
-<xref linkend="kdebase"/>, 
-<xref linkend="gtk-doc"/> and 
-<xref linkend="docbook-utils"/></para>
-</sect4>
-</sect3>
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&evolution-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&evolution-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &evolution-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &evolution-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &evolution-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &evolution-time;</para>
+      </listitem>
+    </itemizedlist>
 
-</sect2>
+    <bridgehead renderas="sect3">Evolution Dependencies</bridgehead>
 
-<sect2>
-<title>Installation of <application>Evolution</application></title>
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para><xref linkend="gtkhtml"/>,
+    <xref linkend="evolution-data-server"/></para>
 
-<para>Install <application>Evolution</application> by running the following 
-commands:</para>
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para><xref linkend="mozilla"/> or
+    <xref linkend="firefox"/> or
+    <xref linkend="thunderbird"/> (NSS and NSPR libs and headers required for
+    SSL and S/MIME support)</para>
 
-<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para><xref linkend="gstreamer"/>,
+    <xref linkend="openldap"/>,
+    <xref linkend="sendmail"/> (or other
+    <ulink url="../server/mail.html">MTA</ulink> that links to
+    <command>/usr/sbin/sendmail</command>),
+    <xref linkend="heimdal"/> or <xref linkend="mitkrb"/>,
+    <ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink>,
+    <ulink
+    url="http://ftp.gnome.org/pub/GNOME/sources/gnome-pilot-conduits/2.0/">GNOME
+    Pilot conduits</ulink>
+    (requires <xref linkend="pilot-link"/> then <ulink
+    url="http://ftp.gnome.org/pub/GNOME/sources/gnome-pilot/2.0/">GNOME
+    Pilot</ulink>),
+    <ulink url="http://ftp.gnome.org/pub/GNOME/sources/gnome-spell/1.0/">GNOME
+    Spell</ulink>,
+    <ulink url="http://www.freedesktop.org/Software/dbus">D-BUS</ulink>,
+    <xref linkend="kdebase"/>,
+    <xref linkend="gtk-doc"/> and
+    <xref linkend="docbook-utils"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Evolution</title>
+
+    <para>Install <application>Evolution</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
     --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/lib \
     --localstatedir=/var/lib --sysconfdir=/etc/gnome \
     --disable-gtk-doc &amp;&amp;
-make</command></userinput></screen>
+make</userinput></screen>
 
-<para>This package does not come with a test suite.</para>
+    <para>This package does not come with a test suite.</para>
 
-<para>Now, as the root user:</para>
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen><userinput role='root'><command>make install &amp;&amp;
+<screen role="root"><userinput>make install &amp;&amp;
 ln -v -s evolution-2.2 \
-    `pkg-config --variable=prefix ORBit-2.0`/bin/evolution</command></userinput></screen>
+    `pkg-config --variable=prefix ORBit-2.0`/bin/evolution</userinput></screen>
 
-</sect2>
+  </sect2>
 
-<sect2>
-<title>Command explanations</title>
+  <sect2 role="commands">
+    <title>Command Explanations</title>
 
-<para><option>--with-openldap</option>: This parameter will compile
-<acronym>LDAP</acronym> support into 
-<application>Evolution</application>.</para>
+    <para><parameter>--disable-gtk-doc</parameter>: This parameter disables
+    building the API documentation if you have
+    <application>GTK-Doc</application> installed. Remove this parameter if
+    you wish to build and install the documentation.</para>
 
-<para><option>--with-krb5</option>: This parameter will compile 
-<application>Kerberos5</application> support into 
-<application>Evolution</application>.</para>
+    <para><option>--with-openldap</option>: This parameter will compile
+    LDAP support into <application>Evolution</application>.</para>
 
-<para><option>--with-pilot-conduits</option>: This parameter will build 
-the <application>GNOME Pilot</application> conduits allowing you to 
-syncronize <application>Evolution</application> data on a Palm 
-device.</para>
+    <para><option>--with-krb5</option>: This parameter will compile
+    <application>Kerberos5</application> support into
+    <application>Evolution</application>.</para>
 
-<para><option>--disable-gtk-doc</option>: This parameter disables 
-building the <acronym>API</acronym> documentation if you have 
-<application>GTK-Doc</application> installed. Remove this parameter if
-you wish to build and install the documentation.</para>
+    <para><option>--with-pilot-conduits</option>: This parameter will build
+    the <application>GNOME Pilot</application> conduits allowing you to
+    syncronize <application>Evolution</application> data on a Palm
+    device.</para>
 
-<para><command>ln -v -s evolution-2.2 `pkg-config 
---variable=prefix ORBit-2.0`/bin/evolution</command>: This optional command 
-creates a convenience symlink to the <command>evolution-2.2</command> 
-binary.</para>
+    <para><command>ln -v -s evolution-2.2 `pkg-config
+    --variable=prefix ORBit-2.0`/bin/evolution</command>: This optional command
+    creates a convenience symlink to the <command>evolution-2.2</command>
+    binary.</para>
 
-</sect2>
+  </sect2>
 
-<sect2>
-<title>Contents</title>
+  <sect2 role="content">
+    <title>Contents</title>
 
-<segmentedlist>
-<segtitle>Installed Programs</segtitle>
-<segtitle>Installed Libraries</segtitle>
-<segtitle>Installed Directories</segtitle>
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
-<seglistitem>
-<seg>evolution and evolution-2.2</seg>
-<seg>/usr/lib/evolution/2.2/* (contains support libraries, conduits and 
-other components)</seg>
-<seg>/etc/gnome/gconf/gconf.xml.defaults/schemas/apps/evolution, 
-/etc/gnome/gconf/gconf.xml.defaults/apps/evolution, 
-$GNOME_PREFIX/include/evolution-2.2,
-$GNOME_PREFIX/lib/evolution, 
-$GNOME_PREFIX/share/idl/evolution-2.2,
-$GNOME_PREFIX/share/gnome/help/evolution-2.2,
-$GNOME_PREFIX/share/omf/evolution and 
-$GNOME_PREFIX/share/evolution</seg>
-</seglistitem>
-</segmentedlist>
+      <seglistitem>
+        <seg>evolution and evolution-2.2</seg>
+        <seg>/usr/lib/evolution/2.2/* (contains support libraries, conduits,
+        and other components)</seg>
+        <seg>/etc/gnome/gconf/gconf.xml.defaults/schemas/apps/evolution,
+        /etc/gnome/gconf/gconf.xml.defaults/apps/evolution,
+        $GNOME_PREFIX/include/evolution-2.2,
+        $GNOME_PREFIX/lib/evolution,
+        $GNOME_PREFIX/share/idl/evolution-2.2,
+        $GNOME_PREFIX/share/gnome/help/evolution-2.2,
+        $GNOME_PREFIX/share/omf/evolution, and
+        $GNOME_PREFIX/share/evolution</seg>
+      </seglistitem>
+    </segmentedlist>
 
-<variablelist>
-<bridgehead renderas="sect3">Short Descriptions</bridgehead>
-<?dbfo list-presentation="list"?>
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
 
-<varlistentry id="evolution-prog">
-<term><command>evolution</command></term>
-<listitem><para>is a symlink to the <command>evolution-2.2</command> 
-program.</para>
-<indexterm zone="evolution evolution-prog">
-<primary sortas="g-evolution">evolution</primary>
-</indexterm></listitem>
-</varlistentry>
+      <varlistentry id="evolution-prog">
+        <term><command>evolution</command></term>
+        <listitem>
+          <para>is a symlink to the <command>evolution-2.2</command>
+          program.</para>
+          <indexterm zone="evolution evolution-prog">
+            <primary sortas="g-evolution">evolution</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
 
-<varlistentry id="evolution-2.2">
-<term><command>evolution-2.2</command></term>
-<listitem><para>is an email, calendar and address book suite.</para>
-<indexterm zone="evolution evolution-2.2">
-<primary sortas="b-evolution-2.2">evolution-2.2</primary>
-</indexterm></listitem>
-</varlistentry>
-</variablelist>
+      <varlistentry id="evolution-2.2">
+        <term><command>evolution-2.2</command></term>
+        <listitem>
+          <para>is an email, calendar and address book suite.</para>
+          <indexterm zone="evolution evolution-2.2">
+            <primary sortas="b-evolution-2.2">evolution-2.2</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
 
-</sect2>
+    </variablelist>
+
+  </sect2>
 
 </sect1>