Index: kde/add/kdenetwork.xml
===================================================================
--- kde/add/kdenetwork.xml	(revision 8517108844f5be81082f150f875314281c3c89b2)
+++ kde/add/kdenetwork.xml	(revision 2946338a6dd27423598bae7641d3da88dd6faaba)
@@ -90,5 +90,5 @@
     <xref linkend="libidn"/>, 
     <xref linkend="speex"/>, 
-    <ulink url="http://hansdegoede.livejournal.com/3636.html">libv4l</ulink>,
+    <ulink url="http://linuxtv.org/downloads/v4l-utils/">Video4Linux</ulink>,
     <ulink url="http://ktorrent.org/">libktorrent</ulink>,
     <ulink url="http://sourceforge.net/projects/libmms/">libmms</ulink>,
@@ -133,5 +133,5 @@
 
     <para><option>-DDISABLE_VIDEOSUPPORT=ON</option>: Set this option in case 
-    you don't have <application>libv4l</application> installed.</para>
+    you don't have <application>Video4Linux</application> installed.</para>
 
   </sect2>
Index: multimedia/audioutils/audacious.xml
===================================================================
--- multimedia/audioutils/audacious.xml	(revision 8517108844f5be81082f150f875314281c3c89b2)
+++ multimedia/audioutils/audacious.xml	(revision 2946338a6dd27423598bae7641d3da88dd6faaba)
@@ -246,4 +246,7 @@
 
 <screen role="root"><userinput>make install</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/update-icons-and-desktop.xml"/>
   </sect2>
 
Index: multimedia/libdriv/xine-lib.xml
===================================================================
--- multimedia/libdriv/xine-lib.xml	(revision 8517108844f5be81082f150f875314281c3c89b2)
+++ multimedia/libdriv/xine-lib.xml	(revision 2946338a6dd27423598bae7641d3da88dd6faaba)
@@ -35,6 +35,6 @@
       The <application>xine Libraries</application> package contains xine
       libraries. These are useful for interfacing with external plug-ins that
-      allow the flow of information from the source to the screen and
-      speakers.
+      allow the flow of information from the source to the audio and video
+      hardware.
     </para>
 
@@ -149,6 +149,6 @@
 
     <para>
-      <option>--disable-vcd</option>: This option is required to compile Xine
-      Lib without
+      <parameter>--disable-vcd</parameter>: This option is required to compile
+      <application>Xine Lib</application> without
       <ulink url="http://ftp.gnu.org/gnu/vcdimager/">VCDImager</ulink>
       installed. Remove this option if you have installed VCDImager.
@@ -156,5 +156,5 @@
 
     <para>
-      <option>--docdir=/usr/share/xine-lib-&xine-lib-version;</option>: This
+      <parameter>--docdir=/usr/share/xine-lib-&xine-lib-version;</parameter>: This
       switch causes the documentation to be installed into a versioned
       directory instead of the default
Index: multimedia/videoutils/ffmpeg.xml
===================================================================
--- multimedia/videoutils/ffmpeg.xml	(revision 8517108844f5be81082f150f875314281c3c89b2)
+++ multimedia/videoutils/ffmpeg.xml	(revision 2946338a6dd27423598bae7641d3da88dd6faaba)
@@ -105,5 +105,5 @@
       <ulink url="http://sourceforge.net/projects/opencvlibrary/">libopencv</ulink>,
       <ulink url="http://sourceforge.net/projects/libdc1394/">libdc1394</ulink>,
-      <ulink url="http://linuxtv.org/downloads/v4l-utils/">libv4l2</ulink>, and
+      <ulink url="http://linuxtv.org/downloads/v4l-utils/">Video4Linux</ulink>, and
       <ulink url="http://www.nongnu.org/texi2html">texi2html</ulink>
         (to build HTML documentation).</para>
Index: multimedia/videoutils/mplayer.xml
===================================================================
--- multimedia/videoutils/mplayer.xml	(revision 8517108844f5be81082f150f875314281c3c89b2)
+++ multimedia/videoutils/mplayer.xml	(revision 2946338a6dd27423598bae7641d3da88dd6faaba)
@@ -101,5 +101,6 @@
     <note>
       <para>
-        Skins are only required to use the Gtk+ 2 user interface.
+        Skins are only required to use the <application>Gtk+ 2</application>
+        user interface.
       </para>
     </note>
@@ -125,5 +126,5 @@
       <ulink url="http://rtmpdump.mplayerhq.hu/">RTMPDump</ulink>,
       <ulink url="http://code.google.com/p/vstream-client/">TiVo vstream client</ulink>
-        and
+      and
       <ulink url="http://www.xmms.org/">XMMS</ulink>
     </para>
@@ -276,4 +277,7 @@
 
 <screen role="root"><userinput>install -v -m644 etc/*.conf /etc/mplayer</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/update-icons-and-desktop.xml"/>
     </sect3>
 
Index: multimedia/videoutils/xine-ui.xml
===================================================================
--- multimedia/videoutils/xine-ui.xml	(revision 8517108844f5be81082f150f875314281c3c89b2)
+++ multimedia/videoutils/xine-ui.xml	(revision 2946338a6dd27423598bae7641d3da88dd6faaba)
@@ -103,4 +103,7 @@
 
 <screen role="root"><userinput>make docsdir=/usr/share/doc/xine-ui-&xine-ui-version; install</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/update-icons-and-desktop.xml"/>
   </sect2>
 
@@ -142,7 +145,7 @@
 
       <para>
-        If you have a DVB TV card you can watch TV with the command
-        <command>xine dvb://</command> and change channel with the scroll wheel
-        on your mouse
+        If you have a DVB TV card, you can watch TV with the command
+        <command>xine dvb://</command> and change channels with the scroll wheel
+        on your mouse.
       </para>
     </sect3>
Index: networking/netprogs/wpa_supplicant.xml
===================================================================
--- networking/netprogs/wpa_supplicant.xml	(revision 8517108844f5be81082f150f875314281c3c89b2)
+++ networking/netprogs/wpa_supplicant.xml	(revision 2946338a6dd27423598bae7641d3da88dd6faaba)
@@ -170,5 +170,5 @@
       If you wish to use <application>WPA Supplicant</application> with
       <xref linkend="NetworkManager"/>, make sure that you have installed
-      <xref linkend="dbus"/> and <xref linkend="libxml2"/>, then add
+      <xref linkend="dbus"/> and <xref linkend="libxml2"/>, then add the
       following options to the <application>WPA Supplicant</application>
       build configuration file by running the following command:
@@ -191,5 +191,5 @@
     <para>
       If you have installed <xref linkend="qt"/> and wish to build
-      <application>WPA Supplicant</application> GUI program, run
+      the <application>WPA Supplicant</application> GUI program, run
       the following commands:
     </para>
@@ -205,11 +205,13 @@
 
     <para>
-      Now, as the <systemitem class="username">root</systemitem>
-      user:
-    </para>
-
-<screen role="root"><userinput>install -v -m755 wpa_{cli,passphrase,supplicant} /sbin &amp;&amp;
-install -v -m644 doc/docbook/wpa_supplicant.conf.5 /usr/share/man/man5 &amp;&amp;
-install -v -m644 doc/docbook/wpa_{cli,passphrase,supplicant}.8 /usr/share/man/man8</userinput></screen>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>install -v -m755 wpa_{cli,passphrase,supplicant}               \
+                 /sbin                                         &amp;&amp;
+install -v -m644 doc/docbook/wpa_supplicant.conf.5             \
+                 /usr/share/man/man5                           &amp;&amp;
+install -v -m644 doc/docbook/wpa_{cli,passphrase,supplicant}.8 \
+                 /usr/share/man/man8</userinput></screen>
 
     <para>
@@ -223,25 +225,29 @@
 <screen role="root"><userinput>install -v -m644 dbus/fi.{epitest.hostap.WPASupplicant,w1.wpa_supplicant1}.service \
                  /usr/share/dbus-1/system-services &amp;&amp;
-install -v -m644 dbus/dbus-wpa_supplicant.conf /etc/dbus-1/system.d/wpa_supplicant.conf</userinput></screen>
-
-    <para>
-      If you have built <application>WPA Supplicant</application> GUI
+install -v -m644 dbus/dbus-wpa_supplicant.conf \
+                 /etc/dbus-1/system.d/wpa_supplicant.conf</userinput></screen>
+
+    <para>
+      If you have built the <application>WPA Supplicant</application> GUI
       program, install it by running the following commands as the
       <systemitem class="username">root</systemitem> user:
     </para>
 
-<screen role="root"><userinput>install -m755 wpa_gui-qt4/wpa_gui /usr/bin/ &amp;&amp;
-install -m644 doc/docbook/wpa_gui.8 /usr/share/man/man8/ &amp;&amp;
-install -m644 wpa_gui-qt4/wpa_gui.desktop /usr/share/applications/ &amp;&amp;
-install -m644 wpa_gui-qt4/icons/wpa_gui.svg /usr/share/pixmaps/</userinput></screen>
+<screen role="root"><userinput>
+install -v -m755 wpa_gui-qt4/wpa_gui           /usr/bin/ &amp;&amp;
+install -v -m644 doc/docbook/wpa_gui.8         /usr/share/man/man8/ &amp;&amp;
+install -v -m644 wpa_gui-qt4/wpa_gui.desktop   /usr/share/applications/ &amp;&amp;
+install -v -m644 wpa_gui-qt4/icons/wpa_gui.svg /usr/share/pixmaps/</userinput></screen>
 
     <note>
       <para>
-        You will need to restart system <application>D-Bus</application> daemon
-        before you can use <application>WPA Supplicant</application>
+        You will need to restart the system <application>D-Bus</application> daemon
+        before you can use the <application>WPA Supplicant</application>
         <application>D-Bus</application> interface.
       </para>
     </note>
 
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/update-desktop-database.xml"/>
   </sect2>
 
@@ -263,5 +269,5 @@
 
       <para>
-        To connect to an access point that uses a password you need to put
+        To connect to an access point that uses a password, you need to put
         the pre-shared key in <filename>/etc/wpa_supplicant.conf</filename>. Use
         <command>wpa_passphrase</command> to generate this. SSID is the string
Index: pst/printing/cups.xml
===================================================================
--- pst/printing/cups.xml	(revision 8517108844f5be81082f150f875314281c3c89b2)
+++ pst/printing/cups.xml	(revision 2946338a6dd27423598bae7641d3da88dd6faaba)
@@ -139,5 +139,5 @@
         <application>libusb</application> backend and the usblp kernel
         driver. If you want to use <application>Cups</application> with
-        <application>libusb</application> <emphasis>do not</emphasis>
+        <application>libusb</application>, <emphasis>do not</emphasis>
         enable USB Printer support in your kernel.
       </para>
@@ -145,5 +145,5 @@
 
     <para>
-      If you want to use the kernel usblp driver enable the following
+      If you want to use the kernel usblp driver, enable the following
       options in your kernel configuration and recompile the kernel:
     </para>
@@ -159,5 +159,5 @@
 
     <para>
-      If you have a parallel printer enable the following options in your
+      If you have a parallel printer, enable the following options in your
       kernel configuration and recompile the kernel:
     </para>
@@ -180,5 +180,5 @@
 
     <para>
-      You will need to add the <systemitem class="username">lp</systemitem>
+      You will need to add an <systemitem class="username">lp</systemitem>
       user, as <application>Cups</application> will create some files owned
       by this user. (The <systemitem class="username">lp</systemitem> user
@@ -192,5 +192,5 @@
 
     <para>
-      You will also need dedicated group that will contain users allowed to
+      You will also need a dedicated group that will contain users allowed to
       do <application>Cups</application> administrative tasks. Add the group
       by running the following command as the
@@ -201,5 +201,5 @@
 
     <para>
-      If you want to add an user to the <application>Cups</application>
+      If you want to add a user to the <application>Cups</application>
       administrative group, run the following command as the
       <systemitem class="username">root</systemitem> user:
@@ -270,5 +270,5 @@
 
     <para>
-      Create basic <application>Cups</application> client configuration
+      Create a basic <application>Cups</application> client configuration
       file by running the following command as the
       <systemitem class="username">root</systemitem> user:
@@ -278,5 +278,5 @@
 
     <para>
-      Remove filters that are now part of <application>Cups Filters</application>
+      Remove filters that are now part of the <application>Cups Filters</application>
       package by running the following commands as the
       <systemitem class="username">root</systemitem> user:
@@ -286,4 +286,6 @@
 rm -rf /usr/share/cups/data/testprint</userinput></screen>
 
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-update-icon-cache.xml"/>
   </sect2>
 
@@ -293,13 +295,12 @@
     <para>
       <parameter>--with-rcdir=/tmp/cupsinit</parameter>: This switch tells
-      build process to install the shipped bootscript into
+      the build process to install the shipped bootscript into
       <filename class="directory">/tmp</filename> instead of
       <filename class="directory">/etc/rc.d</filename>.
     </para>
 
-<!-- There isn't any class="group" so I had to use class="username" here -->
     <para>
       <parameter>--with-system-groups=lpadmin</parameter>: This switch ensures
-      that only <systemitem class="username">lpadmin</systemitem> will be used as
+      that only <systemitem class="groupname">lpadmin</systemitem> will be used as
       the <application>Cups</application> administrative group.
     </para>
@@ -317,7 +318,7 @@
 
     <para>
-      <option>--disable-gnutls --enable-openssl</option>: This switch tells build
+      <option>--disable-gnutls --enable-openssl</option>: This switch tells the build
       process to use <xref linkend="openssl"/> instead of <xref linkend="gnutls"/>.
-      Current version of <application>GnuTLS</application> might produce lot of
+      The current version of <application>GnuTLS</application> might produce lot of
       warnings during the <application>Cups</application> build.
     </para>
@@ -362,5 +363,5 @@
       <para>
         If you have built <application>Cups</application> with
-        <application>PAM</application> support, create
+        <application>PAM</application> support, create a
         BLFS specific <application>PAM</application>
         configuration file by running the following command as
@@ -385,5 +386,5 @@
 
       <para>
-        If you want the <application>Cups</application> to start
+        If you want the <application>Cups</application> print service to start
         automatically when the system is booted, install the init
         script included in the <xref linkend="bootscripts"/>
Index: x/lib/qt.xml
===================================================================
--- x/lib/qt.xml	(revision 8517108844f5be81082f150f875314281c3c89b2)
+++ x/lib/qt.xml	(revision 2946338a6dd27423598bae7641d3da88dd6faaba)
@@ -81,8 +81,9 @@
       <xref linkend="dbus"/>,
       <xref linkend="libjpeg"/>,
-      <xref linkend="libmng"/>,
+      <xref linkend="libmng"/> and
       <xref linkend="libtiff"/>,
-      <xref linkend="libpng"/> and
-      <xref linkend="pkgconfig"/> (needed to use D-Bus, GLib, GTK and PulseAudio)
+      <!-- previously required dependency <xref linkend="libpng"/> and -->
+      <!-- installed in LFS
+      <xref linkend="pkgconfig"/> (needed to use D-Bus, GLib, GTK and PulseAudio) -->
     </para>
 
Index: xsoft/other/gimp.xml
===================================================================
--- xsoft/other/gimp.xml	(revision 8517108844f5be81082f150f875314281c3c89b2)
+++ xsoft/other/gimp.xml	(revision 2946338a6dd27423598bae7641d3da88dd6faaba)
@@ -200,4 +200,6 @@
 chown -R root:root /usr/share/gimp/2.0/help</userinput></screen>
 
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/update-icons-and-desktop.xml"/>
   </sect2>
 
@@ -230,10 +232,10 @@
     you have not installed <application>PyGTK</application>.</para>
 
-    <para><option>./autogen.sh --prefix=/usr</option>: in this case, using
+    <para><parameter>./autogen.sh --prefix=/usr</parameter>: In this case, using
     <command>autoreconf</command> to regenerate <filename>configure</filename>
     does not work, because of how the gimp-help developers chose to address
     problems with the autotools.</para>
 
-    <para><option>xzcat ../gimp-help-2.8.0-build_fixes-1.patch.xz</option>:
+    <para><parameter>xzcat ../gimp-help-2.8.0-build_fixes-1.patch.xz</parameter>:
     this patch is large, so it has been compressed with
     <application>xz</application>.  You are encouraged to be suspicious of