Index: ome-systemd/platform/libepoxy.xml
===================================================================
--- gnome-systemd/platform/libepoxy.xml	(revision 177d1b595f5e138992ec81aaeb5c30c4c2a1c0dd)
+++ 	(revision )
@@ -1,183 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY libepoxy-download-http "https://github.com/anholt/libepoxy/archive/v-&libepoxy-version;.tar.gz">
-  <!ENTITY libepoxy-download-ftp  " ">
-  <!ENTITY libepoxy-md5sum        "12d6b7621f086c0c928887c27d90bc30">
-  <!ENTITY libepoxy-size          "264 KB">
-  <!ENTITY libepoxy-buildsize     "3.5 MB">
-  <!ENTITY libepoxy-time          "less than 0.1 SBU">
-]>
-
-<sect1 id="libepoxy" xreflabel="libepoxy-&libepoxy-version;">
-  <?dbhtml filename="libepoxy.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>libepoxy-&libepoxy-version;</title>
-
-  <indexterm zone="libepoxy">
-    <primary sortas="a-libepoxy">libepoxy</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to libepoxy</title>
-
-    <para>
-      <application>libepoxy</application> is a library for handling OpenGL function pointer management.
-    </para>
-
-    &lfs75_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="https://github.com/anholt/libepoxy/archive/v1.2.tar.gz;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url=" "/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &libepoxy-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &libepoxy-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &libepoxy-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &libepoxy-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">libepoxy Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="xorg7-lib"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="doxygen"/> (to build documentation).
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/libepoxy"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of libepoxy</title>
-
-    <para>
-      Install <application>libepoxy</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      If you have <xref linkend="doxygen"/>, issue <command>make dox</command>
-      to build documentation.
-    </para>
-
-    <para>
-      To test the results, issue: <command>make check</command>.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-    <para>
-      If you have built documentation previously, install it with following
-      commands as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>mkdir -pv /usr/share/doc/libepoxy-&libepoxy-version; &amp;&amp;
-cp -rv doc/html/* /usr/share/doc/libepoxy-&libepoxy-version;</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
-
-    <para>
-      <option>--enable-nss</option>: Use this switch if you want to
-      use Mozilla NSS instead of <application>OpenSSL</application>.
-    </para>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directory</segtitle>
-
-      <seglistitem>
-        <seg>
-          None
-        </seg>
-        <seg>
-          libepoxy.so
-        </seg>
-        <seg>
-          /usr/share/doc/libepoxy-&libepoxy-version;
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="libepoxy-lib">
-        <term><filename class="libraryfile">libepoxy.so</filename></term>
-        <listitem>
-          <para>
-            provides functions to escape and encode stings according to
-            OAuth specifications and offers high-level functionality built
-            on top to sign requests or verify signatures using either NSS or
-            OpenSSL for calculating the hash/signatures.
-          </para>
-          <indexterm zone="libepoxy libepoxy-lib">
-            <primary sortas="c-libepoxy">libepoxy.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: ome-systemd/platform/libxkbcommon.xml
===================================================================
--- gnome-systemd/platform/libxkbcommon.xml	(revision 177d1b595f5e138992ec81aaeb5c30c4c2a1c0dd)
+++ 	(revision )
@@ -1,167 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY libxkbcommon-download-http "http://xkbcommon.org/download/libxkbcommon-&libxkbcommon-version;.tar.xz">
-  <!ENTITY libxkbcommon-download-ftp  " ">
-  <!ENTITY libxkbcommon-md5sum        "2a7e74c3cbffb06e7b3c6a7581d39297">
-  <!ENTITY libxkbcommon-size          "464 KB">
-  <!ENTITY libxkbcommon-buildsize     "8.5 MB">
-  <!ENTITY libxkbcommon-time          "0.2 SBU">
-]>
-
-<sect1 id="libxkbcommon" xreflabel="libxkbcommon-&libxkbcommon-version;">
-  <?dbhtml filename="libxkbcommon.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>libxkbcommon-&libxkbcommon-version;</title>
-
-  <indexterm zone="libxkbcommon">
-    <primary sortas="a-libxkbcommon">libxkbcommon</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to libxkbcommon</title>
-
-    <para>
-     The <application>libxkbcommon</application> is a keyboard handling library 
-     using XKB data for X11 XCB clients.
-    </para>
-
-    &lfs75_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&libxkbcommon-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&libxkbcommon-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &libxkbcommon-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &libxkbcommon-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &libxkbcommon-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &libxkbcommon-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">libxkbcommon Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="libevdev"/>, and
-      <xref linkend="mtdev"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="doxygen"/> (to build documentation)
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/libxkbcommon"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of libxkbcommon</title>
-
-    <para>
-      Install <application>libxkbcommon</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      To test the results issue the following command:
-    </para>
-
-<screen><userinput>make check</userinput></screen>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Program</segtitle>
-      <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          none
-        </seg>
-        <seg>
-          libxkbcommon-x11.so
-        </seg>
-        <seg>
-          /usr/include/xkbcommon and
-          /usr/share/doc/libxkbcommon
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="libxkbcommon-x11">
-        <term><filename class='libraryfile'>libxkbcommon-x11.so</filename></term>
-        <listitem>
-          <para>
-            contains the <application>libxkbcommon</application> API functions.
-          </para>
-          <indexterm zone="libxkbcommon libxkbcommon-x11">
-            <primary sortas="c-libxkbcommon-x11">libxkbcommon-x11.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: ome-systemd/platform/wayland.xml
===================================================================
--- gnome-systemd/platform/wayland.xml	(revision 177d1b595f5e138992ec81aaeb5c30c4c2a1c0dd)
+++ 	(revision )
@@ -1,216 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY wayland-download-http "http://wayland.freedesktop.org/releases/wayland-&wayland-version;.tar.xz">
-  <!ENTITY wayland-download-ftp  " ">
-  <!ENTITY wayland-md5sum        "1d882776b27329b91d2d500b6d66dd1d">
-  <!ENTITY wayland-size          "396 KB">
-  <!ENTITY wayland-buildsize     "8 MB">
-  <!ENTITY wayland-time          "21.8 SBU">
-]>
-
-<sect1 id="wayland" xreflabel="Wayland-&wayland-version;">
-  <?dbhtml filename="wayland.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Wayland-&wayland-version;</title>
-
-  <indexterm zone="wayland">
-    <primary sortas="a-wayland">wayland</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Wayland</title>
-
-    <para>
-      The <application>wayland</application> application is a protocol between a 
-      compositor and its clients.
-    </para>
-
-    &lfs75_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&wayland-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&wayland-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &wayland-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &wayland-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &wayland-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &wayland-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Wayland Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="libffi"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="doxygen"/>, (to build documentation)
-      <xref linkend="libxslt"/>
-    </para>
-
-    <bridgehead renderas="sect4">Required (Runtime)</bridgehead>
-    <para role="required">
-      <xref linkend="weston"/>
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/wayland"/>
-    </para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Wayland</title>
-
-    <para>
-      Install <application>Wayland</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
-make</userinput></screen>
-
-    <note>
-    <para>
-      The queue-test will fail if the test suite is run
-      as an unprivileged user.
-    </para>
-    </note>
-
-    <para>
-      To test the results issue the following command:
-    </para>
-
-<screen><userinput>make check</userinput></screen>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          wayland-scanner
-        </seg>
-        <seg>
-          libwayland-client.so libwayland-cursor.so libwayland-server.so
-        </seg>
-        <seg>
-          /usr/share/wayland
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="wayland-scanner">
-        <term><command>wayland-scanner</command></term>
-        <listitem>
-          <para>
-            Is a tool to generate proxy methods in wayland-client-protocol.h 
-            and wayland-server-protocol.h
-          </para>
-          <indexterm zone="wayland wayland-scanner">
-            <primary sortas="b-wayland">wayland</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libwayland-client">
-        <term><filename class="libraryfile">libwayland-client.so</filename></term>
-        <listitem>
-          <para>
-            contains the <application>libwayland-client</application> API functions.
-          </para>
-          <indexterm zone="wayland libwayland-client">
-            <primary sortas="c-libwayland">libwayland-client.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libwayland-cursor">
-        <term><filename class="libraryfile">libwayland-cursor.so</filename></term>
-        <listitem>
-          <para>
-            contains the <application>libwayland-cursor</application> API functions.
-          </para>
-          <indexterm zone="wayland libwayland-cursor">
-            <primary sortas="c-libwayland">libwayland-cursor.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libwayland-server">
-        <term><filename class="libraryfile">libwayland-server.so</filename></term>
-        <listitem>
-          <para>
-            contains the <application>libwayland-server</application> API functions.
-          </para>
-          <indexterm zone="wayland libwayland-server">
-            <primary sortas="c-libwayland">libwayland-server.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>