Index: general.ent
===================================================================
--- general.ent	(revision 4cf9f185dd43e7007b33387c1d0298e56b069b16)
+++ general.ent	(revision 3338551fe1d1d1a5bd3dd8718cbbe9902eb24812)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "08">                   <!-- Always 2 digits -->
+<!ENTITY day          "09">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2017">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "Febuary 8th &year;">
+<!ENTITY releasedate  "February 9th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 4cf9f185dd43e7007b33387c1d0298e56b069b16)
+++ gnome.ent	(revision 3338551fe1d1d1a5bd3dd8718cbbe9902eb24812)
@@ -21,5 +21,5 @@
 <!ENTITY gnome-autoar-version         "0.1.1">
 <!ENTITY gnome-desktop-version        "3.22.2">
-<!ENTITY gnome-video-effects-version  "0.4.1">
+<!ENTITY gnome-video-effects-version  "0.4.3">
 <!ENTITY libgtop-version              "2.34.2">
 <!ENTITY libpeas-version              "1.20.0">
Index: gnome/platform/gnome-video-effects.xml
===================================================================
--- gnome/platform/gnome-video-effects.xml	(revision 4cf9f185dd43e7007b33387c1d0298e56b069b16)
+++ gnome/platform/gnome-video-effects.xml	(revision 3338551fe1d1d1a5bd3dd8718cbbe9902eb24812)
@@ -9,7 +9,7 @@
   <!ENTITY gnome-video-effects-download-ftp
            "&gnome-download-ftp;/gnome-video-effects/0.4/gnome-video-effects-&gnome-video-effects-version;.tar.xz">
-  <!ENTITY gnome-video-effects-md5sum        "aa0838f5be12f524ba5622e1b61d21b1">
-  <!ENTITY gnome-video-effects-size          "144 KB">
-  <!ENTITY gnome-video-effects-buildsize     "1.9 MB">
+  <!ENTITY gnome-video-effects-md5sum        "decfd1264c00deb5b7ac12b483d21cda">
+  <!ENTITY gnome-video-effects-size          "140 KB">
+  <!ENTITY gnome-video-effects-buildsize     "2.2 MB">
   <!ENTITY gnome-video-effects-time          "less than 0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4cf9f185dd43e7007b33387c1d0298e56b069b16)
+++ introduction/welcome/changelog.xml	(revision 3338551fe1d1d1a5bd3dd8718cbbe9902eb24812)
@@ -43,4 +43,18 @@
 -->
     <listitem>
+      <para>February 9th, 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to gnome-video-effects-0.4.3. Fixes
+          <ulink url="&blfs-ticket-root;8863">#8863</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to gtk-vnc-0.7.0. Fixes
+          <ulink url="&blfs-ticket-root;8862">#8862</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>February 8th, 2017</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 4cf9f185dd43e7007b33387c1d0298e56b069b16)
+++ packages.ent	(revision 3338551fe1d1d1a5bd3dd8718cbbe9902eb24812)
@@ -532,5 +532,5 @@
 <!ENTITY gtkmm3-version               "3.22.0">
 <!ENTITY gtksourceview-version        "3.22.2">
-<!ENTITY gtk-vnc-version              "0.5.4">
+<!ENTITY gtk-vnc-version              "0.7.0">
 <!ENTITY imlib2-version               "1.4.9">
 <!ENTITY keybinder2-version           "0.3.0">
Index: x/lib/gtk-vnc.xml
===================================================================
--- x/lib/gtk-vnc.xml	(revision 4cf9f185dd43e7007b33387c1d0298e56b069b16)
+++ x/lib/gtk-vnc.xml	(revision 3338551fe1d1d1a5bd3dd8718cbbe9902eb24812)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY gtk-vnc-download-http "&gnome-download-http;/gtk-vnc/0.5/gtk-vnc-&gtk-vnc-version;.tar.xz">
-  <!ENTITY gtk-vnc-download-ftp  "&gnome-download-ftp;/gtk-vnc/0.5/gtk-vnc-&gtk-vnc-version;.tar.xz">
-  <!ENTITY gtk-vnc-md5sum        "bc7b79c4b8124294dacf91b8128a158c">
-  <!ENTITY gtk-vnc-size          "412 KB">
+  <!ENTITY gtk-vnc-download-http "&gnome-download-http;/gtk-vnc/0.7/gtk-vnc-&gtk-vnc-version;.tar.xz">
+  <!ENTITY gtk-vnc-download-ftp  "&gnome-download-ftp;/gtk-vnc/0.7/gtk-vnc-&gtk-vnc-version;.tar.xz">
+  <!ENTITY gtk-vnc-md5sum        "cf55bce70ff1f7b1643468a001be1bef">
+  <!ENTITY gtk-vnc-size          "440 KB">
   <!ENTITY gtk-vnc-buildsize     "11 MB">
-  <!ENTITY gtk-vnc-time          "0.2 SBU">
+  <!ENTITY gtk-vnc-time          "0.3 SBU">
 ]>
 