Index: gnome/otherlibs/guppi/guppi-config.xml
===================================================================
--- gnome/otherlibs/guppi/guppi-config.xml	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
+++ gnome/otherlibs/guppi/guppi-config.xml	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
@@ -0,0 +1,5 @@
+<sect2>
+<title>Configuring Guppi</title>
+&library-config;
+</sect2>
+
Index: gnome/otherlibs/guppi/guppi-desc.xml
===================================================================
--- gnome/otherlibs/guppi/guppi-desc.xml	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
+++ gnome/otherlibs/guppi/guppi-desc.xml	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
@@ -0,0 +1,8 @@
+<sect2>
+<title>Contents</title>
+
+<para>The guppi package contains plotting libraries and plugins for
+Gnome 1.4.</para>
+
+</sect2>
+
Index: gnome/otherlibs/guppi/guppi-exp.xml
===================================================================
--- gnome/otherlibs/guppi/guppi-exp.xml	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
+++ gnome/otherlibs/guppi/guppi-exp.xml	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
@@ -0,0 +1,8 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--prefix=/opt/gnome:</userinput>
+Install Guppi in the Gnome 1.4 area.</para>
+
+</sect2>
+
Index: gnome/otherlibs/guppi/guppi-inst.xml
===================================================================
--- gnome/otherlibs/guppi/guppi-inst.xml	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
+++ gnome/otherlibs/guppi/guppi-inst.xml	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
@@ -0,0 +1,13 @@
+<sect2>
+<title>Installation of Guppi</title>
+
+<para>Install Guppi by running the following commands:</para>
+
+<para><screen><userinput>
+./configure --prefix=/opt/gnome &amp;&amp;
+make &amp;&amp;
+make install
+</userinput></screen></para>
+
+</sect2>
+
Index: gnome/otherlibs/guppi/guppi-intro.xml
===================================================================
--- gnome/otherlibs/guppi/guppi-intro.xml	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
+++ gnome/otherlibs/guppi/guppi-intro.xml	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
@@ -0,0 +1,13 @@
+<sect2>
+<title>Introduction to Guppi-&guppi-version;(Gnome 1.4)</title>
+
+<screen>Download location (HTTP):       <ulink url="&guppi-download-http;"/>
+Download location (FTP):        <ulink url="&guppi-download-ftp;"/>
+Version used:                   &guppi-version;
+Package size:                   &guppi-size;
+Estimated Disk space required:  &guppi-buildsize;</screen>
+
+<para>The Guppi package contains a guile-scriptable plot program with
+integrated statistics capabilities.</para>
+
+</sect2>
Index: gnome/otherlibs/guppi/guppi.ent
===================================================================
--- gnome/otherlibs/guppi/guppi.ent	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
+++ gnome/otherlibs/guppi/guppi.ent	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
@@ -0,0 +1,11 @@
+<!ENTITY guppi SYSTEM "guppi.xml">
+<!ENTITY guppi-intro SYSTEM "guppi-intro.xml">
+<!ENTITY guppi-inst SYSTEM "guppi-inst.xml">
+<!ENTITY guppi-exp SYSTEM "guppi-exp.xml">
+<!ENTITY guppi-desc SYSTEM "guppi-desc.xml">
+<!ENTITY guppi-config SYSTEM "guppi-config.xml">
+<!ENTITY guppi-buildsize "15 MB">
+<!ENTITY guppi-version "0.40.3">
+<!ENTITY guppi-download-http "http://ibiblio.org/pub/Linux/X11/gnome/sources/Guppi/0.40/Guppi-&guppi-version;.tar.bz2">
+<!ENTITY guppi-download-ftp "">
+<!ENTITY guppi-size "990 KB">
Index: gnome/otherlibs/guppi/guppi.xml
===================================================================
--- gnome/otherlibs/guppi/guppi.xml	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
+++ gnome/otherlibs/guppi/guppi.xml	(revision 3430684bc9db44d3adb3140f1224ab78489948b5)
@@ -0,0 +1,12 @@
+<sect1 id="guppi" xreflabel="guppi-&guppi-version;">
+<?dbhtml filename="guppi.html" dir="gnome"?>
+<title>guppi-&guppi-version;</title>
+
+&guppi-intro;
+&guppi-inst;
+&guppi-exp;
+&guppi-config;
+&guppi-desc;
+
+</sect1>
+