Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision bdf5806e71b4b8e61f709d88a58ed03d40063bf8)
+++ gnome/add/add.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -32,4 +32,6 @@
 &gnome-speech;
 &at-spi;
+&gnome-mag;
+&gnopernicus;
 
 &gnome-games;
Index: gnome/add/gnome-mag.xml
===================================================================
--- gnome/add/gnome-mag.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
+++ gnome/add/gnome-mag.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -0,0 +1,9 @@
+<sect1 id="gnome-mag" xreflabel="GNOME Magnifier-&gnome-mag-version;">
+<?dbhtml filename="gnome-mag.html"?>
+<title>GNOME Magnifier-&gnome-mag-version;</title>
+
+&gnome-mag-intro;
+&gnome-mag-inst;
+&gnome-mag-desc;
+
+</sect1>
Index: gnome/add/gnome-mag/gnome-mag-desc.xml
===================================================================
--- gnome/add/gnome-mag/gnome-mag-desc.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
+++ gnome/add/gnome-mag/gnome-mag-desc.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -0,0 +1,18 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application><acronym>GNOME</acronym> Magnifier</application>
+package contains
+<command>magnifier</command> and
+<filename class="libraryfile">libgnome-mag</filename>.
+</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>magnifier</title>
+<para><command>magnifier</command> is a screen zooming
+utility.</para></sect3>
+
+</sect2>
Index: gnome/add/gnome-mag/gnome-mag-inst.xml
===================================================================
--- gnome/add/gnome-mag/gnome-mag-inst.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
+++ gnome/add/gnome-mag/gnome-mag-inst.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -0,0 +1,10 @@
+<sect2>
+<title>Installation of <application><acronym>GNOME</acronym> Magnifier</application></title>
+
+<para>Install <application><acronym>GNOME</acronym> Magnifier</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
Index: gnome/add/gnome-mag/gnome-mag-intro.xml
===================================================================
--- gnome/add/gnome-mag/gnome-mag-intro.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
+++ gnome/add/gnome-mag/gnome-mag-intro.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -0,0 +1,31 @@
+<sect2>
+<title>Introduction to <application><acronym>GNOME</acronym> Magnifier</application></title>
+
+<para>
+The <application><acronym>GNOME</acronym> Magnifier</application>
+includes a screen magnifier, which allows you to zoom in on portions of
+the desktop. It is expressly designed for users with low vision who wish
+to use the <acronym>GNOME</acronym> desktop.
+</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gnome-mag-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gnome-mag-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gnome-mag-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gnome-mag-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gnome-mag-time;</para></listitem></itemizedlist>
+</sect3>
+                                                                                
+<sect3><title><application><acronym>GNOME</acronym> Magnifier</application> dependencies</title>
+<sect4><title>Required</title>
+<para>
+<xref linkend="at-spi"/>
+</para></sect4>
+</sect3>
+
+</sect2>
Index: gnome/add/gnome-mag/gnome-mag.ent
===================================================================
--- gnome/add/gnome-mag/gnome-mag.ent	(revision 3543105b300710a512456cfba56118229c8581b2)
+++ gnome/add/gnome-mag/gnome-mag.ent	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -0,0 +1,10 @@
+<!ENTITY gnome-mag SYSTEM "../gnome-mag.xml">
+<!ENTITY gnome-mag-intro SYSTEM "gnome-mag-intro.xml">
+<!ENTITY gnome-mag-inst SYSTEM "gnome-mag-inst.xml">
+<!ENTITY gnome-mag-desc SYSTEM "gnome-mag-desc.xml">
+<!ENTITY gnome-mag-version "0.10.11">
+<!ENTITY gnome-mag-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-mag/0.10/gnome-mag-&gnome-mag-version;.tar.bz2">
+<!ENTITY gnome-mag-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-mag/0.10/gnome-mag-&gnome-mag-version;.tar.bz2">
+<!ENTITY gnome-mag-size "286 KB">
+<!ENTITY gnome-mag-buildsize "3.9 MB">
+<!ENTITY gnome-mag-time "0.14 SBU">
Index: gnome/add/gnopernicus.xml
===================================================================
--- gnome/add/gnopernicus.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
+++ gnome/add/gnopernicus.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -0,0 +1,10 @@
+<sect1 id="gnopernicus" xreflabel="Gnopernicus-&gnopernicus-version;">
+<?dbhtml filename="gnopernicus.html"?>
+<title>Gnopernicus-&gnopernicus-version;</title>
+
+&gnopernicus-intro;
+&gnopernicus-inst;
+&gnopernicus-exp;
+&gnopernicus-desc;
+
+</sect1>
Index: gnome/add/gnopernicus/gnopernicus-desc.xml
===================================================================
--- gnome/add/gnopernicus/gnopernicus-desc.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
+++ gnome/add/gnopernicus/gnopernicus-desc.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -0,0 +1,22 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application>Gnopernicus</application> package contains
+<command>brlmonitor</command>,
+<command>gnopernicus</command> and
+<command>srcore</command>.
+</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>brlmonitor</title>
+<para><command>brlmonitor</command> is a braille display
+simulator.</para></sect3>
+
+<sect3><title>gnopernicus</title>
+<para><command>gnopernicus</command> provides various functionality
+for users with limited vision.</para></sect3>
+
+</sect2>
Index: gnome/add/gnopernicus/gnopernicus-exp.xml
===================================================================
--- gnome/add/gnopernicus/gnopernicus-exp.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
+++ gnome/add/gnopernicus/gnopernicus-exp.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -0,0 +1,18 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--libexecdir=`pkg-config --variable=prefix
+ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
+<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
+<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
+
+<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
+configuration files in <filename class="directory">/etc/gnome</filename> instead of
+<filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
+
+<para><parameter>--localstatedir=/var/lib</parameter>: This switch
+puts <application>ScrollKeeper</application> files in <filename
+class="directory">/var/lib/scrollkeeper</filename>
+instead of <filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
+
+</sect2>
Index: gnome/add/gnopernicus/gnopernicus-inst.xml
===================================================================
--- gnome/add/gnopernicus/gnopernicus-inst.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
+++ gnome/add/gnopernicus/gnopernicus-inst.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of <application>Gnopernicus</application></title>
+
+<para>Install <application>Gnopernicus</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+    --sysconfdir=/etc/gnome --localstatedir=/var/lib &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
Index: gnome/add/gnopernicus/gnopernicus-intro.xml
===================================================================
--- gnome/add/gnopernicus/gnopernicus-intro.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
+++ gnome/add/gnopernicus/gnopernicus-intro.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -0,0 +1,39 @@
+<sect2>
+<title>Introduction to <application>Gnopernicus</application></title>
+
+<para>
+<application>Gnopernicus</application> enables users with limited vision,
+or no vision, to use the <acronym>GNOME</acronym> desktop and
+applications effectively. It provides a number of features, including
+magnification, focus tracking, braille output, and more.
+</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gnopernicus-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gnopernicus-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gnopernicus-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gnopernicus-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gnopernicus-time;</para></listitem></itemizedlist>
+</sect3>
+                                                                                
+<sect3><title><application>Gnopernicus</application> dependencies</title>
+<sect4><title>Required</title>
+<para>
+<xref linkend="libgnomeui"/>,
+<xref linkend="scrollkeeper"/>,
+<xref linkend="gnome-speech"/> and
+<xref linkend="at-spi"/>
+</para></sect4>
+<sect4><title>Optional</title>
+<para>
+<xref linkend="gtk-doc"/> and
+<ulink url="http://www.mielke.cc/brltty/">BRLTTY</ulink>
+</para></sect4>
+</sect3>
+
+</sect2>
Index: gnome/add/gnopernicus/gnopernicus.ent
===================================================================
--- gnome/add/gnopernicus/gnopernicus.ent	(revision 3543105b300710a512456cfba56118229c8581b2)
+++ gnome/add/gnopernicus/gnopernicus.ent	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -0,0 +1,11 @@
+<!ENTITY gnopernicus SYSTEM "../gnopernicus.xml">
+<!ENTITY gnopernicus-intro SYSTEM "gnopernicus-intro.xml">
+<!ENTITY gnopernicus-inst SYSTEM "gnopernicus-inst.xml">
+<!ENTITY gnopernicus-exp SYSTEM "gnopernicus-exp.xml">
+<!ENTITY gnopernicus-desc SYSTEM "gnopernicus-desc.xml">
+<!ENTITY gnopernicus-version "0.8.4">
+<!ENTITY gnopernicus-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnopernicus/0.8/gnopernicus-&gnopernicus-version;.tar.bz2">
+<!ENTITY gnopernicus-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnopernicus/0.8/gnopernicus-&gnopernicus-version;.tar.bz2">
+<!ENTITY gnopernicus-size "1.5 MB">
+<!ENTITY gnopernicus-buildsize "41 MB">
+<!ENTITY gnopernicus-time "0.69 SBU">
Index: gnome/gnome.ent
===================================================================
--- gnome/gnome.ent	(revision bdf5806e71b4b8e61f709d88a58ed03d40063bf8)
+++ gnome/gnome.ent	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -132,4 +132,8 @@
 <!ENTITY % at-spi SYSTEM "lib/at-spi/at-spi.ent">
 %at-spi;
+<!ENTITY % gnome-mag SYSTEM "add/gnome-mag/gnome-mag.ent">
+%gnome-mag;
+<!ENTITY % gnopernicus SYSTEM "add/gnopernicus/gnopernicus.ent">
+%gnopernicus;
 
 <!ENTITY % linc SYSTEM "lib/linc/linc.ent">
Index: index.xml
===================================================================
--- index.xml	(revision bdf5806e71b4b8e61f709d88a58ed03d40063bf8)
+++ index.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -3,7 +3,7 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20040510">
-<!ENTITY releasedate "May 10th, 2004">
-<!ENTITY pubdate "2004-05-10">
+<!ENTITY version "CVS-20040511">
+<!ENTITY releasedate "May 11th, 2004">
+<!ENTITY pubdate "2004-05-11">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision bdf5806e71b4b8e61f709d88a58ed03d40063bf8)
+++ introduction/welcome/changelog.xml	(revision 3543105b300710a512456cfba56118229c8581b2)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>May 11th, 2004 [igor]: Added GNOME
+Magnifier-0.10.11 and Gnopernicus-0.8.4.</para></listitem>
 
 <listitem><para>May 10th, 2004 [igor]: Added libusb-0.1.8,