Index: x/installing/xorg7.xml
===================================================================
--- x/installing/xorg7.xml	(revision 4ff4e9a85c7dee9dd81e0017fe812bbdd93039d4)
+++ x/installing/xorg7.xml	(revision 3735050f6a4e762bbadeec03ba9c16a8dfeb79cf)
@@ -52,7 +52,7 @@
     <bridgehead renderas="sect3">Xorg Download and Installation Instructions</bridgehead>
 
-    <para>With the new modular build system, is no longer possible to download
-    the entire package in a single file.  In fact, there may be upto 200 files 
-    that need to be fetched from the download location.  To assist with
+    <para>With the modular build system, it is no longer possible to download
+    the entire package in a single file.  In fact, there may be as may as 200 
+    files that need to be fetched from the download location.  To assist with
     such a large task, it is strongly recommended to install 
     <xref linkend="wget"/> for downloading the needed files.  A complete 
@@ -148,6 +148,10 @@
 
 <screen><userinput>./configure $XORG_CONFIG &amp;&amp;
-make &amp;&amp;
-make install</userinput></screen>
+make</userinput></screen>
+
+      <para>Now as the <systemitem class="username">root</systemitem>
+      user:</para>
+
+<screen><userinput role="root">make install</userinput></screen>
 
     </sect3>
@@ -180,6 +184,10 @@
 sed -i "s@/usr/X11R6@$XORG_PREFIX@" X11.tmpl &amp;&amp;
 ./configure $XORG_CONFIG --with-config-dir=$XORG_PREFIX/lib/X11/config &amp;&amp;
-make &amp;&amp;
-make install</userinput></screen>
+make</userinput></screen>
+
+      <para>Now as the <systemitem class="username">root</systemitem>
+      user:</para>
+
+<screen><userinput role="root">make install</userinput></screen>
 
       <para>Next, install the <application>Imake</application> package with
@@ -187,6 +195,10 @@
 
 <screen><userinput>./configure $XORG_CONFIG --with-config-dir=$XORG_PREFIX/lib/X11/config &amp;&amp;
-make &amp;&amp;
-make install</userinput></screen>
+make</userinput></screen>
+
+      <para>Now as the <systemitem class="username">root</systemitem>
+      user:</para>
+
+<screen><userinput role="root">make install</userinput></screen>
 
 
@@ -196,6 +208,10 @@
 
 <screen><userinput>./configure $XORG_CONFIG &amp;&amp;
-make &amp;&amp;
-make install</userinput></screen>
+make</userinput></screen>
+
+      <para>Now as the <systemitem class="username">root</systemitem>
+      user:</para>
+
+<screen><userinput role="root">make install</userinput></screen>
 
     </sect3>
@@ -249,7 +265,11 @@
       of the chosen packages:</para>
 
-<para><screen><userinput>./configure $XORG_CONFIG &amp;&amp;
-make &amp;&amp;
-make install</userinput></screen></para>
+<screen><userinput>./configure $XORG_CONFIG &amp;&amp;
+make</userinput></screen>
+
+      <para>Now as the <systemitem class="username">root</systemitem>
+      user:</para>
+
+<screen><userinput role="root">make install</userinput></screen>
 
     </sect3>
@@ -299,6 +319,10 @@
 
 <screen><userinput>./configure $XORG_CONFIG &amp;&amp;
-make &amp;&amp;
-make install</userinput></screen>
+make</userinput></screen>
+
+      <para>Now as the <systemitem class="username">root</systemitem> 
+      user:</para>
+
+<screen><userinput role="root">make install</userinput></screen>
 
       <note><para>At this point, you should continue to the applications
@@ -336,13 +360,36 @@
 
 <screen><userinput>./configure $XORG_CONFIG &amp;&amp;
-make &amp;&amp;
-make install</userinput></screen>
+make</userinput></screen>
+
+      <para>Now as the <systemitem class="username">root</systemitem> 
+      user:</para>
+
+<screen><userinput role="root">make install</userinput></screen>
 
       <note><para>The luit package should not be compiled at this point.  You
-      should install the luit application after the fonts have been installed.
-      When compiling the luit package, you will need to change a hard 
-      coded reference to /usr/X11R6 in parser.h.  Use the command 
-      "<command>sed -i 's@/usr/X11R6@$XORG_PREFIX@' parser.h</command>" from 
-      the top level of the package source directory.</para></note>
+      should install the luit application after the fonts have been 
+      installed.</para></note>
+
+    </sect3>
+
+    <sect3 role="installation">
+
+      <title>Installation of luit</title>
+
+      <para>A patch is required to fix a race condition in
+      <application>luit</application> that was discovered shortly after
+      release.  Download the patch from 
+      <ulink url="&patch-root;/luit_1.0.1-race-1.patch"/>.</para>
+
+      <para>Install luit with the following commands:</para>
+
+<screen><userinput>patch -Np1 -i luit_1.0.1-race-1.patch &amp;&amp;
+./configure $XORG_CONFIG &amp;&amp;
+make</userinput></screen>
+
+      <para>Now as the <systemitem class="username">root</systemitem> 
+      user:</para>
+
+<screen><userinput role="root">make install</userinput></screen>
 
     </sect3>
@@ -367,19 +414,24 @@
       <title>Installation of Xorg Fonts</title>
 
-      <para>Create a fonts direcorty and a symlink so that the fonts
+      <para>As the <systemitem class="username">root</systemitem> user,
+      create a fonts direcorty and a symlink so that the fonts
       installed in /usr/share/fonts can be accessible by the old fontpath
       $XORG_PREFIX/lib/X11/fonts:</para>
 
 <screen><userinput> mkdir -p /usr/share/fonts &amp;&amp;
-ln -s -v ../../../share/fonts $XORG_PREFIX/lib/X11/</userinput></screen>
+ln -s -v /usr/share/fonts $XORG_PREFIX/lib/X11/</userinput></screen>
 
       <para>Run the following commands for each package:</para>
 
-<note><para>You should install encoding and font-util before all others</para></note>
-
-
-<screen><userinput>./configure $XORG_CONFIG &amp;&amp;
-make &amp;&amp;
-make install</userinput></screen>
+      <note><para>You should install encoding and font-util before all 
+      other font packages</para></note>
+
+
+<screen><userinput>./configure $XORG_CONFIG</userinput></screen>
+
+      <para>Now as the <systemitem class="username">root</systemitem>
+      user:</para>
+
+<screen><userinput role="root">make install</userinput></screen>
 
     </sect3>
@@ -415,6 +467,10 @@
     --with-fontdir=/usr/share/fonts \
     --with-module-dir=$XORG_PREFIX/lib/modules &amp;&amp;
-make &amp;&amp;
-make install</userinput></screen>
+make</userinput></screen>
+
+      <para>Now as the <systemitem class="username">root</systemitem>
+      user:</para>
+
+<screen><userinput role="root">make install</userinput></screen>
 
     </sect3>
@@ -451,6 +507,10 @@
 <screen><userinput>./configure $XORG_CONFIG \
     --with-xorg-module-dir=$XORG_PREFIX/lib/modules &amp;&amp;
-make &amp;&amp;
-make install</userinput></screen>
+make</userinput></screen>
+
+      <para>Now as the <systemitem class="username">root</systemitem>
+      user:</para>
+
+<screen><userinput role="root">make install</userinput></screen>
 
     </sect3>