Index: general/sysutils/systemd.xml
===================================================================
--- general/sysutils/systemd.xml	(revision 307e799f8dbe9662ad6334fe266b4df99de95363)
+++ general/sysutils/systemd.xml	(revision 3918112abd3b9e949ac9899317e4fa29303f18e3)
@@ -174,6 +174,6 @@
       --sysconfdir=/etc             \
       --localstatedir=/var          \
+      --buildtype=release           \
       -Dblkid=true                  \
-      -Dbuildtype=release           \
       -Ddefault-dnssec=no           \
       -Dfirstboot=false             \
@@ -252,4 +252,7 @@
     </para>
 -->
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/meson-buildtype-release.xml"/>
 
     <para>
Index: gnome/platform/libwnck.xml
===================================================================
--- gnome/platform/libwnck.xml	(revision 307e799f8dbe9662ad6334fe266b4df99de95363)
+++ gnome/platform/libwnck.xml	(revision 3918112abd3b9e949ac9899317e4fa29303f18e3)
@@ -104,5 +104,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr -Dbuildtype=release .. &amp;&amp;
+meson --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
@@ -121,4 +121,7 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/meson-buildtype-release.xml"/>
 
     <para>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 307e799f8dbe9662ad6334fe266b4df99de95363)
+++ multimedia/libdriv/gst10-libav.xml	(revision 3918112abd3b9e949ac9899317e4fa29303f18e3)
@@ -113,5 +113,5 @@
 
 meson  --prefix=/usr       \
-       -Dbuildtype=release \
+       --buildtype=release \
        -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/svn/ \
        -Dpackage-name="GStreamer &gst10-libav-version; BLFS" &amp;&amp;
@@ -130,15 +130,10 @@
   </sect2>
 
-  <!-- No longer included with Meson change
   <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <para>
-      <option>- -with-libav-extra-configure="- -disable-yasm"</option>: Use this
-      switch if you don't have <application>yasm</application> installed.
-    </para>
-
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/meson-buildtype-release.xml"/>
   </sect2>
-  -->
 
   <sect2 role="content">
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 307e799f8dbe9662ad6334fe266b4df99de95363)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 3918112abd3b9e949ac9899317e4fa29303f18e3)
@@ -194,5 +194,5 @@
 
 meson  --prefix=/usr       \
-       -Dbuildtype=release \
+       --buildtype=release \
        -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/svn/ \
        -Dpackage-name="GStreamer &gst10-plugins-bad-version; BLFS" &amp;&amp;
@@ -209,4 +209,11 @@
 
 <screen role="root"><userinput>ninja install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/meson-buildtype-release.xml"/>
   </sect2>
 
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision 307e799f8dbe9662ad6334fe266b4df99de95363)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 3918112abd3b9e949ac9899317e4fa29303f18e3)
@@ -146,5 +146,5 @@
 
 meson  --prefix=/usr       \
-       -Dbuildtype=release \
+       --buildtype=release \
        -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/svn/ \
        -Dpackage-name="GStreamer &gst10-plugins-base-version; BLFS"    \
@@ -180,5 +180,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/meson-buildtype-release.xml"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/meson-wrap-nodownload.xml"/>
+
   </sect2>
 
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision 307e799f8dbe9662ad6334fe266b4df99de95363)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 3918112abd3b9e949ac9899317e4fa29303f18e3)
@@ -164,5 +164,5 @@
 
 meson  --prefix=/usr       \
-       -Dbuildtype=release \
+       --buildtype=release \
        -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/svn/ \
        -Dpackage-name="GStreamer &gst10-plugins-good-version; BLFS" &amp;&amp;
@@ -179,4 +179,11 @@
 
 <screen role="root"><userinput>ninja install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/meson-buildtype-release.xml"/>
   </sect2>
 
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 307e799f8dbe9662ad6334fe266b4df99de95363)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 3918112abd3b9e949ac9899317e4fa29303f18e3)
@@ -127,5 +127,5 @@
 
 meson  --prefix=/usr       \
-       -Dbuildtype=release \
+       --buildtype=release \
        -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/svn/ \
        -Dpackage-name="GStreamer &gst10-plugins-good-version; BLFS" &amp;&amp;
@@ -141,4 +141,11 @@
 
 <screen role="root"><userinput>ninja install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/meson-buildtype-release.xml"/>
   </sect2>
 
Index: multimedia/libdriv/gstreamer10-vaapi.xml
===================================================================
--- multimedia/libdriv/gstreamer10-vaapi.xml	(revision 307e799f8dbe9662ad6334fe266b4df99de95363)
+++ multimedia/libdriv/gstreamer10-vaapi.xml	(revision 3918112abd3b9e949ac9899317e4fa29303f18e3)
@@ -108,5 +108,5 @@
 
 meson  --prefix=/usr       \
-       -Dbuildtype=release \
+       --buildtype=release \
        -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/svn/ &amp;&amp;
 ninja</userinput></screen>
@@ -122,4 +122,11 @@
 
 <screen role="root"><userinput>ninja install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/meson-buildtype-release.xml"/>
   </sect2>
 
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision 307e799f8dbe9662ad6334fe266b4df99de95363)
+++ multimedia/libdriv/gstreamer10.xml	(revision 3918112abd3b9e949ac9899317e4fa29303f18e3)
@@ -130,5 +130,5 @@
 
 meson  --prefix=/usr       \
-       -Dbuildtype=release \
+       --buildtype=release \
        -Dgst_debug=false   \
        -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/svn/ \
@@ -158,4 +158,11 @@
 <screen role="root"><userinput>ninja install</userinput></screen>
 
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/meson-buildtype-release.xml"/>
   </sect2>
 
Index: postlfs/editors/gedit.xml
===================================================================
--- postlfs/editors/gedit.xml	(revision 307e799f8dbe9662ad6334fe266b4df99de95363)
+++ postlfs/editors/gedit.xml	(revision 3918112abd3b9e949ac9899317e4fa29303f18e3)
@@ -114,5 +114,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr -Dbuildtype=release .. &amp;&amp;
+meson --prefix=/usr --buildtype=release .. &amp;&amp;
 ninja</userinput></screen>
 
@@ -134,4 +134,7 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/meson-buildtype-release.xml"/>
 
     <para>
Index: postlfs/security/p11-kit.xml
===================================================================
--- postlfs/security/p11-kit.xml	(revision 307e799f8dbe9662ad6334fe266b4df99de95363)
+++ postlfs/security/p11-kit.xml	(revision 3918112abd3b9e949ac9899317e4fa29303f18e3)
@@ -138,9 +138,6 @@
     <title>Command Explanations</title>
 
-    <para>
-      <parameter>--buildtype=release</parameter>: Override the default
-      buildtype (<quote>debug</quote>), which would produce unoptimized
-      binaries.
-    </para>
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/meson-buildtype-release.xml"/>
 
     <para>
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision 307e799f8dbe9662ad6334fe266b4df99de95363)
+++ x/installing/mesa.xml	(revision 3918112abd3b9e949ac9899317e4fa29303f18e3)
@@ -231,5 +231,5 @@
 
 meson --prefix=$XORG_PREFIX          \
-      -Dbuildtype=release            \
+      --buildtype=release            \
       -Ddri-drivers=$DRI_DRIVERS     \
       -Dgallium-drivers=$GALLIUM_DRV \
@@ -275,5 +275,5 @@
 
     <para>
-      <parameter>-Dbuildtype=release</parameter>: This switch ensures a
+      <parameter>--buildtype=release</parameter>: This switch ensures a
       fully-optimized build, and disables debug assertions which will
       severely slow down the libraries in certain use-cases. Without this