Index: Makefile
===================================================================
--- Makefile	(revision 1b6582643139506b51d146f76a2ccb23f0a55683)
+++ Makefile	(revision 3984104b1c2bea7aa6f9521846ce2417794c8aaa)
@@ -42,5 +42,5 @@
 	  mkdir -p $(BASEDIR)stylesheets; \
 	fi;
-	cp stylesheets/blfs.css $(BASEDIR)stylesheets
+	cp stylesheets/*.css $(BASEDIR)stylesheets
 	if [ ! -e $(BASEDIR)images ]; then \
 	  mkdir -p $(BASEDIR)images; \
@@ -51,4 +51,5 @@
 	cd $(BASEDIR); sed -i -e "s@../images@images@g" \
 	  index.html 
+	sh goTidy $(BASEDIR)/  
 
 pdf:
Index: goTidy
===================================================================
--- goTidy	(revision 3984104b1c2bea7aa6f9521846ce2417794c8aaa)
+++ goTidy	(revision 3984104b1c2bea7aa6f9521846ce2417794c8aaa)
@@ -0,0 +1,17 @@
+#!/bin/bash
+#######################################################################
+#
+# File:        goTidy
+#
+# Description: Tidy is best used inside a loop, but Makefiles don't do
+# bash loops well.  This file alleviates that problem.
+#
+# Author:      James Robertson
+#
+########################################################################
+
+for file in `find "$1" -name "*.html"`; do
+        tidy -config tidy.conf $file
+done
+
+exit 0
Index: stylesheets/blfs-chunked.xsl
===================================================================
--- stylesheets/blfs-chunked.xsl	(revision 1b6582643139506b51d146f76a2ccb23f0a55683)
+++ stylesheets/blfs-chunked.xsl	(revision 3984104b1c2bea7aa6f9521846ce2417794c8aaa)
@@ -28,6 +28,11 @@
   <xsl:param name="css.decoration" select="0"></xsl:param>
   
-  	<!-- No XML declaration -->
-	<xsl:param name="chunker.output.omit-xml-declaration" select="'yes'"/>
+    <!-- No XML declaration -->
+  <xsl:param name="chunker.output.omit-xml-declaration" select="'yes'"/>
+  
+    <!-- Insert a stylesheet for printing -->
+  <xsl:template name='user.head.content'>
+     <link rel='stylesheet' href="../stylesheets/blfs-print.css" type="text/css" media='print'/>
+  </xsl:template> 
 
 </xsl:stylesheet>
Index: stylesheets/blfs-print.css
===================================================================
--- stylesheets/blfs-print.css	(revision 3984104b1c2bea7aa6f9521846ce2417794c8aaa)
+++ stylesheets/blfs-print.css	(revision 3984104b1c2bea7aa6f9521846ce2417794c8aaa)
@@ -0,0 +1,6 @@
+
+@import url(blfs.css);
+
+.navfooter, .headerlinks {
+   display: none;
+} 
Index: stylesheets/blfs.css
===================================================================
--- stylesheets/blfs.css	(revision 1b6582643139506b51d146f76a2ccb23f0a55683)
+++ stylesheets/blfs.css	(revision 3984104b1c2bea7aa6f9521846ce2417794c8aaa)
@@ -10,7 +10,46 @@
 }
 
-.navheader, .navfooter {
+.navheader {
   font-size: smaller;
   text-align: center;
+  padding-bottom: 0.5em;
+  border-bottom: solid 2px #080;
+}
+
+.navheader p {
+  margin: 1em 0em;
+}
+
+.navfooter {
+  font-size: smaller;
+  text-align: center;
+  padding-top: 0.5em;
+  border-top: solid 2px #080;
+}
+
+div.sect3 li {
+  /* padding: 0em; */
+}
+
+div.sect3 li p {
+  padding: 0.3em;
+  margin: 0em;
+  background-color: #f0fff0;
+}
+
+.prev {
+  float: left;
+  text-align: left;
+  padding-left: 1em;
+}
+
+.next {
+  float: right;
+  text-align: right;
+  padding-right: 1em;
+}
+
+p, h1, h2, h3, h4, h5, h6 {
+  margin: 0.5em 0em;
 }
 
@@ -66,4 +105,9 @@
 }
 
+pre.screen {
+  padding-left: 1.5em;
+  line-height: 110%;
+}
+
 pre.synopsis {
     color: black;
Index: stylesheets/xhtml/lfs-navigational.xsl
===================================================================
--- stylesheets/xhtml/lfs-navigational.xsl	(revision 1b6582643139506b51d146f76a2ccb23f0a55683)
+++ stylesheets/xhtml/lfs-navigational.xsl	(revision 3984104b1c2bea7aa6f9521846ce2417794c8aaa)
@@ -41,7 +41,7 @@
           </div>
         </xsl:if>
-        <ul class="headerlinks">
+        <div class="headerlinks">
           <xsl:if test="count($prev)&gt;0 and $prev != $home">
-            <li>
+            <div class='prev'>
               <a accesskey="p">
                 <xsl:attribute name="href">
@@ -52,7 +52,19 @@
                 <xsl:text>Prev</xsl:text>
               </a>
-            </li>
+            </div>
           </xsl:if>
-          <li>
+          <xsl:if test="count($next)&gt;0">
+            <div class='next'>
+              <a accesskey="n">
+                <xsl:attribute name="href">
+                  <xsl:call-template name="href.target">
+                    <xsl:with-param name="object" select="$next"/>
+                  </xsl:call-template>
+                </xsl:attribute>
+                <xsl:text>Next</xsl:text>
+              </a>
+            </div>
+          </xsl:if>
+          <div class='home'>
             <a accesskey="h">
               <xsl:attribute name="href">
@@ -63,20 +75,7 @@
               <xsl:text>Home</xsl:text>
             </a>
-          </li>
-          <xsl:if test="count($next)&gt;0">
-            <li>
-              <a accesskey="n">
-                <xsl:attribute name="href">
-                  <xsl:call-template name="href.target">
-                    <xsl:with-param name="object" select="$next"/>
-                  </xsl:call-template>
-                </xsl:attribute>
-                <xsl:text>Next</xsl:text>
-              </a>
-            </li>
-          </xsl:if>
-        </ul>
+          </div>
+        </div>
       </div>
-      <hr/>
     </xsl:if>
   </xsl:template>
@@ -92,9 +91,7 @@
             or count($next) &gt; 0 or generate-id($home) != generate-id(.)"/>
     <xsl:if test="$row">
-      <hr/>
       <div class="navfooter">
-        <ul>
           <xsl:if test="count($prev)&gt;0 and $prev != $home">
-            <li>
+            <div class='prev'>
               <a accesskey="p">
                 <xsl:attribute name="href">
@@ -104,11 +101,25 @@
                 </xsl:attribute>
                 <xsl:text>Prev</xsl:text>
-              </a>
-              <xsl:text> </xsl:text>
+              </a><br/>
+              <!-- <xsl:text> </xsl:text> -->
               <xsl:apply-templates select="$prev" mode="object.title.markup"/>
-            </li>
+            </div>
+          </xsl:if>
+          <xsl:if test="count($next)&gt;0">
+            <div class='next'>
+              <a accesskey="n">
+                <xsl:attribute name="href">
+                  <xsl:call-template name="href.target">
+                    <xsl:with-param name="object" select="$next"/>
+                  </xsl:call-template>
+                </xsl:attribute>
+                <xsl:text>Next</xsl:text>
+              </a><br/>
+              <!-- <xsl:text> </xsl:text> -->
+              <xsl:apply-templates select="$next" mode="object.title.markup"/>
+            </div>
           </xsl:if>
           <xsl:if test="count($up)&gt;0 and $up != $home">
-            <li>
+            <div class='up'>
               <a accesskey="u">
                 <xsl:attribute name="href">
@@ -119,8 +130,8 @@
                 <xsl:text>Up</xsl:text>
               </a>
-            </li>
+            </div>
           </xsl:if>
           <xsl:if  test="$home != .">
-            <li>
+            <div class='home'>
               <a accesskey="h">
                 <xsl:attribute name="href">
@@ -131,21 +142,6 @@
                 <xsl:text>Home</xsl:text>
               </a>
-            </li>
+            </div>
           </xsl:if>
-          <xsl:if test="count($next)&gt;0">
-            <li>
-              <a accesskey="n">
-                <xsl:attribute name="href">
-                  <xsl:call-template name="href.target">
-                    <xsl:with-param name="object" select="$next"/>
-                  </xsl:call-template>
-                </xsl:attribute>
-                <xsl:text>Next</xsl:text>
-              </a>
-              <xsl:text> </xsl:text>
-              <xsl:apply-templates select="$next" mode="object.title.markup"/>
-            </li>
-          </xsl:if>
-        </ul>
       </div>
     </xsl:if>
Index: tidy.conf
===================================================================
--- tidy.conf	(revision 3984104b1c2bea7aa6f9521846ce2417794c8aaa)
+++ tidy.conf	(revision 3984104b1c2bea7aa6f9521846ce2417794c8aaa)
@@ -0,0 +1,17 @@
+indent-spaces: 2
+wrap: 78
+tab-size: 8
+input-encoding: latin1
+output-encoding: latin1
+newline: LF
+write-back: yes
+markup: yes
+indent: yes
+hide-endtags: no
+uppercase-tags: no
+logical-emphasis: no
+drop-font-tags: no
+tidy-mark: no
+numeric-entities: no
+show-warnings: no
+quiet: yes