Index: postlfs/filesystems/btrfs-progs.xml
===================================================================
--- postlfs/filesystems/btrfs-progs.xml	(revision fa50ece50af411eb4b2314b911be3938d6810338)
+++ postlfs/filesystems/btrfs-progs.xml	(revision 4293369fc0c4442205446e3e0bcec61527dcf7fd)
@@ -33,5 +33,5 @@
     and debugging tools for the B-tree file system (btrfs).</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -73,7 +73,6 @@
     <para role="optional">
       <xref linkend="lvm2"/> (<command>dmsetup</command> is used in tests),
-      <xref linkend="python2"/> (python bindings),
-      <xref linkend="reiserfs"/> (for tests), and
-      <ulink url='https://github.com/facebook/zstd/releases/'>zstd</ulink> (for tests)
+      <xref linkend="python2"/> (python bindings), and
+      <xref linkend="reiserfs"/> (for tests)
     </para>
 
Index: postlfs/filesystems/dosfstools.xml
===================================================================
--- postlfs/filesystems/dosfstools.xml	(revision fa50ece50af411eb4b2314b911be3938d6810338)
+++ postlfs/filesystems/dosfstools.xml	(revision 4293369fc0c4442205446e3e0bcec61527dcf7fd)
@@ -33,5 +33,5 @@
     utilities for use with the FAT family of file systems.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/jfs.xml
===================================================================
--- postlfs/filesystems/jfs.xml	(revision fa50ece50af411eb4b2314b911be3938d6810338)
+++ postlfs/filesystems/jfs.xml	(revision 4293369fc0c4442205446e3e0bcec61527dcf7fd)
@@ -33,5 +33,5 @@
     and debugging tools for the jfs file system.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/lvm2.xml
===================================================================
--- postlfs/filesystems/lvm2.xml	(revision fa50ece50af411eb4b2314b911be3938d6810338)
+++ postlfs/filesystems/lvm2.xml	(revision 4293369fc0c4442205446e3e0bcec61527dcf7fd)
@@ -7,9 +7,9 @@
   <!ENTITY lvm2-download-http "https://sourceware.org/ftp/lvm2/LVM2.&lvm2-version;.tgz">
   <!ENTITY lvm2-download-ftp  "ftp://sourceware.org/pub/lvm2/LVM2.&lvm2-version;.tgz">
-  <!ENTITY lvm2-md5sum        "5c06a01e1adacb96761188d6a8a17a2e">
+  <!ENTITY lvm2-md5sum        "92691c782db85150a05f2452ab10825c">
   <!ENTITY lvm2-size          "2.4 MB">
-  <!ENTITY lvm2-buildsize     "34 MB (add at least 594 MB for tests in the /tmp directory; additionally transient files can grow up to around 500 MB)">
+  <!ENTITY lvm2-buildsize     "34 MB (add at least 600 MB for tests in the /tmp directory; additionally transient files can grow up to around 500 MB)">
   <!-- My build size was 124 MB with tests, but I'll leave this here. -renodr -->
-  <!ENTITY lvm2-time          "0.2 SBU (using parallelism=4; add 15 SBU for tests)">
+  <!ENTITY lvm2-time          "0.2 SBU (using parallelism=4; add 16 SBU for tests)">
 ]>
 
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/mdadm.xml
===================================================================
--- postlfs/filesystems/mdadm.xml	(revision fa50ece50af411eb4b2314b911be3938d6810338)
+++ postlfs/filesystems/mdadm.xml	(revision 4293369fc0c4442205446e3e0bcec61527dcf7fd)
@@ -33,5 +33,5 @@
     tools for software RAID.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/parted.xml
===================================================================
--- postlfs/filesystems/parted.xml	(revision fa50ece50af411eb4b2314b911be3938d6810338)
+++ postlfs/filesystems/parted.xml	(revision 4293369fc0c4442205446e3e0bcec61527dcf7fd)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/reiser.xml
===================================================================
--- postlfs/filesystems/reiser.xml	(revision fa50ece50af411eb4b2314b911be3938d6810338)
+++ postlfs/filesystems/reiser.xml	(revision 4293369fc0c4442205446e3e0bcec61527dcf7fd)
@@ -33,5 +33,5 @@
     utilities for use with the Reiser file system.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/filesystems/xfsprogs.xml
===================================================================
--- postlfs/filesystems/xfsprogs.xml	(revision fa50ece50af411eb4b2314b911be3938d6810338)
+++ postlfs/filesystems/xfsprogs.xml	(revision 4293369fc0c4442205446e3e0bcec61527dcf7fd)
@@ -33,5 +33,5 @@
     administration and debugging tools for the XFS file system.</para>
 
-    &lfs90_checked;
+    &lfs91_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>