Index: general/genlib/glib/glib.ent
===================================================================
--- general/genlib/glib/glib.ent	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
+++ general/genlib/glib/glib.ent	(revision 4693946d9af99fae1429f4be152ed4a9b1ce125a)
@@ -17,8 +17,8 @@
 <!ENTITY GLib2-exp SYSTEM "glib2-exp.xml">
 <!ENTITY GLib2-config SYSTEM "glib2-config.xml">
-<!ENTITY GLib2-buildsize "17.3 MB">
-<!ENTITY GLib2-version "2.2.2">
+<!ENTITY GLib2-buildsize "23.3 MB">
+<!ENTITY GLib2-version "2.2.3">
 <!ENTITY GLib2-download-http "">
 <!ENTITY GLib2-download-ftp "ftp://ftp.gtk.org/pub/gtk/v2.2/glib-&GLib2-version;.tar.bz2">
 <!ENTITY GLib2-size "1.6 MB">
-<!ENTITY GLib2-time "0.46 SBU">
+<!ENTITY GLib2-time "0.49 SBU">
Index: general/genlib/popt.xml
===================================================================
--- general/genlib/popt.xml	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
+++ general/genlib/popt.xml	(revision 4693946d9af99fae1429f4be152ed4a9b1ce125a)
@@ -5,5 +5,5 @@
 &popt-intro;
 &popt-inst;
-&popt-config;
+<!-- &popt-config; -->
 &popt-desc;
 
Index: general/genlib/popt/popt.ent
===================================================================
--- general/genlib/popt/popt.ent	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
+++ general/genlib/popt/popt.ent	(revision 4693946d9af99fae1429f4be152ed4a9b1ce125a)
@@ -10,3 +10,3 @@
 <!ENTITY popt-download-ftp "ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.1.x/popt-1.7.tar.gz">
 <!ENTITY popt-size "200 KB">
-<!ENTITY popt-time "0.10 SBU">
+<!ENTITY popt-time "0.06 SBU">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
+++ introduction/welcome/changelog.xml	(revision 4693946d9af99fae1429f4be152ed4a9b1ce125a)
@@ -11,4 +11,7 @@
 <itemizedlist>
 
+<listitem><para>August 28, 2003 [larry]: updated to GLib-2.2.3,
+Pango-1.2.5, ATK-1.2.4 and GTK+-2.2.3.</para></listitem>
+
 <listitem><para>August 28, 2003 [larry]: updated to intro of gtk-doc and
 openjade. Typos.</para></listitem>
Index: x/lib/atk/atk.ent
===================================================================
--- x/lib/atk/atk.ent	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
+++ x/lib/atk/atk.ent	(revision 4693946d9af99fae1429f4be152ed4a9b1ce125a)
@@ -5,8 +5,8 @@
 <!ENTITY ATK-exp SYSTEM "atk-exp.xml">
 <!ENTITY ATK-config SYSTEM "atk-config.xml">
-<!ENTITY ATK-buildsize "3.7 MB">
-<!ENTITY ATK-version "1.2.0">
+<!ENTITY ATK-buildsize "6.2 MB">
+<!ENTITY ATK-version "1.2.4">
 <!ENTITY ATK-download-http "">
 <!ENTITY ATK-download-ftp "ftp://ftp.gtk.org/pub/gtk/v2.2/atk-1.2.0.tar.bz2">
-<!ENTITY ATK-size "284 KB">
-<!ENTITY ATK-time "0.09 SBU">
+<!ENTITY ATK-size "328 KB">
+<!ENTITY ATK-time "0.12 SBU">
Index: x/lib/gtk/gtk.ent
===================================================================
--- x/lib/gtk/gtk.ent	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
+++ x/lib/gtk/gtk.ent	(revision 4693946d9af99fae1429f4be152ed4a9b1ce125a)
@@ -18,8 +18,8 @@
 <!ENTITY GTK2-exp SYSTEM "gtk+2-exp.xml">
 <!ENTITY GTK2-config SYSTEM "gtk+2-config.xml">
-<!ENTITY GTK2-buildsize "68 MB">
-<!ENTITY GTK2-version "2.2.2">
+<!ENTITY GTK2-buildsize "136 MB">
+<!ENTITY GTK2-version "2.2.3">
 <!ENTITY GTK2-download-http "">
 <!ENTITY GTK2-download-ftp "ftp://ftp.gtk.org/pub/gtk/v2.2/gtk+-&GTK2-version;.tar.bz2">
-<!ENTITY GTK2-size "6.8 MB">
-<!ENTITY GTK2-time "3.44 SBU">
+<!ENTITY GTK2-size "6.9 MB">
+<!ENTITY GTK2-time "3.03 SBU">
Index: x/lib/pango/pango.ent
===================================================================
--- x/lib/pango/pango.ent	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
+++ x/lib/pango/pango.ent	(revision 4693946d9af99fae1429f4be152ed4a9b1ce125a)
@@ -5,8 +5,8 @@
 <!ENTITY Pango-exp SYSTEM "pango-exp.xml">
 <!ENTITY Pango-desc SYSTEM "pango-desc.xml">
-<!ENTITY Pango-buildsize "10.1 MB">
-<!ENTITY Pango-version "1.2.3">
+<!ENTITY Pango-buildsize "21.8 MB">
+<!ENTITY Pango-version "1.2.5">
 <!ENTITY Pango-download-http "">
 <!ENTITY Pango-download-ftp "ftp://ftp.gtk.org/pub/gtk/v2.2/pango-&Pango-version;.tar.gz">
-<!ENTITY Pango-size "836 KB">
-<!ENTITY Pango-time "0.61 SBU">
+<!ENTITY Pango-size "1.3 MB">
+<!ENTITY Pango-time "0.49 SBU">