Index: general.ent
===================================================================
--- general.ent	(revision 6cc2f9a8cd32d7cbcfa5e7fc0c10cfef6d0f7ccd)
+++ general.ent	(revision 4757045d422662a335cf192c519650c46895e87c)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "06">                   <!-- Always 2 digits -->
+<!ENTITY day          "07">                   <!-- Always 2 digits -->
 <!ENTITY month        "04">                   <!-- Always 2 digits -->
 <!ENTITY year         "2018">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "April 6th, &year;">
+<!ENTITY releasedate  "April 7th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libusb.xml
===================================================================
--- general/genlib/libusb.xml	(revision 6cc2f9a8cd32d7cbcfa5e7fc0c10cfef6d0f7ccd)
+++ general/genlib/libusb.xml	(revision 4757045d422662a335cf192c519650c46895e87c)
@@ -7,7 +7,7 @@
   <!ENTITY libusb-download-http "https://github.com//libusb/libusb/releases/download/v&libusb-version;/libusb-&libusb-version;.tar.bz2">
   <!ENTITY libusb-download-ftp  " ">
-  <!ENTITY libusb-md5sum        "1da9ea3c27b3858fa85c5f4466003e44">
-  <!ENTITY libusb-size          "596 KB">
-  <!ENTITY libusb-buildsize     "5.7 MB (add 1.5 MB for API documentation)">
+  <!ENTITY libusb-md5sum        "466267889daead47674df933cea9cacb">
+  <!ENTITY libusb-size          "588 KB">
+  <!ENTITY libusb-buildsize     "5.6 MB (add 1.6 MB for API documentation)">
   <!ENTITY libusb-time          "less than 0.1 SBU">
 ]>
Index: general/genutils/lsof.xml
===================================================================
--- general/genutils/lsof.xml	(revision 6cc2f9a8cd32d7cbcfa5e7fc0c10cfef6d0f7ccd)
+++ general/genutils/lsof.xml	(revision 4757045d422662a335cf192c519650c46895e87c)
@@ -5,14 +5,14 @@
   %general-entities;
 
-<!ENTITY lsof-download-http "https://www.mirrorservice.org/sites/lsof.itap.purdue.edu/pub/tools/unix/lsof/lsof_&lsof-version;.tar.bz2">
-<!ENTITY lsof-download-ftp " ">
+<!-- <!ENTITY lsof-download-http "https://www.mirrorservice.org/sites/lsof.itap.purdue.edu/pub/tools/unix/lsof/lsof_&lsof-version;.tar.bz2">
+<!ENTITY lsof-download-ftp " "> -->
 
 <!-- URL is for a mirror.  Change back to below if/when main site comes back. -->
 
-<!--<!ENTITY lsof-download-http  " ">-->
-<!--<!ENTITY lsof-download-ftp "ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/lsof_&lsof-version;.tar.bz2">-->
-<!ENTITY lsof-md5sum        "1b9cd34f3fb86856a125abbf2be3a386">
-<!ENTITY lsof-size          "768 KB">
-<!ENTITY lsof-buildsize     "9.5 MB">
+<!ENTITY lsof-download-http  " ">
+<!ENTITY lsof-download-ftp  "ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/lsof_&lsof-version;.tar.gz">
+<!ENTITY lsof-md5sum        "10e1353aa4bf2fd5bbed65db9ef6fd47">
+<!ENTITY lsof-size          "1.1 MB">
+<!ENTITY lsof-buildsize     "9.6 MB">
 <!ENTITY lsof-time          "less than 0.1 SBU">
 ]>
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision 6cc2f9a8cd32d7cbcfa5e7fc0c10cfef6d0f7ccd)
+++ general/prog/php.xml	(revision 4757045d422662a335cf192c519650c46895e87c)
@@ -7,8 +7,8 @@
   <!ENTITY php-download-http "http://www.php.net/distributions/php-&php-version;.tar.xz">
   <!ENTITY php-download-ftp  " ">
-  <!ENTITY php-md5sum        "9e462dd313e0fb79405cd4a56974565e">
-  <!ENTITY php-size          "12 MB">
-  <!ENTITY php-buildsize     "494 MB (with tests, add 114 MB for documentation)">
-  <!ENTITY php-time          "1.9 SBU (with parallelism=4; add 3.3 SBU for tests)">
+  <!ENTITY php-md5sum        "8266120cf6500a96f1ba335d9ef1e01b">
+  <!ENTITY php-size          "11 MB">
+  <!ENTITY php-buildsize     "502 MB (with tests, add 111 MB for documentation)">
+  <!ENTITY php-time          "1.1 SBU (with parallelism=4; add 2.8 SBU for tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 6cc2f9a8cd32d7cbcfa5e7fc0c10cfef6d0f7ccd)
+++ introduction/welcome/changelog.xml	(revision 4757045d422662a335cf192c519650c46895e87c)
@@ -43,4 +43,26 @@
 -->
    <listitem>
+      <para>April 7, 2018</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to LMDB_0.9.22. Fixes
+          <ulink url="&blfs-ticket-root;10605">#10605</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libusb-1.0.22. Fixes
+          <ulink url="&blfs-ticket-root;10604">#10604</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to lsof_4.91. Fixes
+          <ulink url="&blfs-ticket-root;10603">#10603</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to php-7.2.4. Fixes
+          <ulink url="&blfs-ticket-root;10601">#10601</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+   <listitem>
       <para>April 6, 2018</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 6cc2f9a8cd32d7cbcfa5e7fc0c10cfef6d0f7ccd)
+++ packages.ent	(revision 4757045d422662a335cf192c519650c46895e87c)
@@ -160,5 +160,5 @@
 <!ENTITY libunique-version            "1.1.6">
 <!ENTITY libunistring-version         "0.9.9">
-<!ENTITY libusb-version               "1.0.21">
+<!ENTITY libusb-version               "1.0.22">
 <!ENTITY libusb-compat-version        "0.1.5">
 <!ENTITY libuv-version                "1.19.2">
@@ -243,5 +243,5 @@
 <!ENTITY imagemagick-version          "7.0.7">
 <!ENTITY intltool-version             "0.50.2">
-<!ENTITY lsof-version                 "4.89">
+<!ENTITY lsof-version                 "4.91">
 <!ENTITY pinentry-version             "1.1.0">
 <!ENTITY rarian-version               "0.8.1">
@@ -327,5 +327,5 @@
 <!ENTITY ninja-version                "1.8.2">
 <!ENTITY npapi-sdk-version            "0.27.2">
-<!ENTITY php-version                  "7.2.3">
+<!ENTITY php-version                  "7.2.4">
 <!ENTITY python2-version              "2.7.14">
 <!ENTITY python3-version              "3.6.5">
@@ -511,5 +511,5 @@
 <!-- Chapter 22 -->
 <!ENTITY db-version                   "6.2.32">
-<!ENTITY lmdb-version                 "0.9.21">
+<!ENTITY lmdb-version                 "0.9.22">
 <!ENTITY mariadb-version              "10.2.14">
 <!ENTITY postgresql-version           "10.3">
Index: server/databases/lmdb.xml
===================================================================
--- server/databases/lmdb.xml	(revision 6cc2f9a8cd32d7cbcfa5e7fc0c10cfef6d0f7ccd)
+++ server/databases/lmdb.xml	(revision 4757045d422662a335cf192c519650c46895e87c)
@@ -7,6 +7,6 @@
   <!ENTITY lmdb-download-http "https://github.com/LMDB/lmdb/archive/LMDB_&lmdb-version;.tar.gz">
   <!ENTITY lmdb-download-ftp  " ">
-  <!ENTITY lmdb-md5sum        "41a4f7b63212a00e53fabd8159008201">
-  <!ENTITY lmdb-size          "140 KB">
+  <!ENTITY lmdb-md5sum        "64c6132f481281b7b2ad746ecbfb8423">
+  <!ENTITY lmdb-size          "144 KB">
   <!ENTITY lmdb-buildsize     "5.2 MB">
   <!ENTITY lmdb-time          "less than 0.1 SBU">