Index: multimedia/audioutils/mpg123.xml
===================================================================
--- multimedia/audioutils/mpg123.xml	(revision 396508bc42c32855e701ee165f2fea06ce6f8596)
+++ multimedia/audioutils/mpg123.xml	(revision 4774914fcb64cb0925f7aa354e1ba1dd5e0cf336)
@@ -3,5 +3,5 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
- 
+
   <!ENTITY mpg123-download-http "http://www.mpg123.de/mpg123/mpg123-&mpg123-version;.tar.gz">
   <!ENTITY mpg123-download-ftp  "ftp://alge.anart.no/pub/audio/mpg123-&mpg123-version;.tar.gz">
@@ -33,10 +33,10 @@
 url="&mpg123-download-ftp;"/></para></listitem>
 <listitem><para>Download size: &mpg123-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
+<listitem><para>Estimated disk space required:
 &mpg123-buildsize;</para></listitem>
 <listitem><para>Estimated build time:
 &mpg123-time;</para></listitem></itemizedlist>
 </sect3>
-                                                                                
+
 <sect3><title><application>mpg123</application> dependencies</title>
 <sect4><title>Required</title>
@@ -60,5 +60,6 @@
 <title>Contents</title>
 
-<para>The <application>mpg123</application> package contains <command>mpg123</command>.</para>
+<para>The <application>mpg123</application> package contains 
+<command>mpg123</command>.</para>
 
 </sect2>
Index: multimedia/audioutils/vorbistools.xml
===================================================================
--- multimedia/audioutils/vorbistools.xml	(revision 396508bc42c32855e701ee165f2fea06ce6f8596)
+++ multimedia/audioutils/vorbistools.xml	(revision 4774914fcb64cb0925f7aa354e1ba1dd5e0cf336)
@@ -3,5 +3,5 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
- 
+
   <!ENTITY vorbistools-download-http "http://www.vorbis.com/files/1.0.1/unix/vorbis-tools-&vorbistools-version;.tar.gz">
   <!ENTITY vorbistools-download-ftp  " ">
@@ -33,10 +33,10 @@
 url="&vorbistools-download-ftp;"/></para></listitem>
 <listitem><para>Download size: &vorbistools-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
+<listitem><para>Estimated disk space required:
 &vorbistools-buildsize;</para></listitem>
 <listitem><para>Estimated build time:
 &vorbistools-time;</para></listitem></itemizedlist>
 </sect3>
-                                                                                
+
 <sect3><title><application>Vorbis Tools</application> dependencies</title>
 <sect4><title>Required</title>
Index: postlfs/config/netfs.xml
===================================================================
--- postlfs/config/netfs.xml	(revision 396508bc42c32855e701ee165f2fea06ce6f8596)
+++ postlfs/config/netfs.xml	(revision 4774914fcb64cb0925f7aa354e1ba1dd5e0cf336)
@@ -19,10 +19,11 @@
 these systems may not be available on the root partition and the
 network file systems need to be mounted after the networking is activated.
-These file systems also need to be unmounted before the network goes down.</para>
+These file systems also need to be unmounted before the network goes 
+down.</para>
 
 <para>Install the <filename>/etc/rc.d/init.d/netfs</filename>
 network mount script included with the
 <xref linkend="intro-important-bootscripts"/> package.</para>
-                                                                                                                
+
 <screen><userinput><command>make install-netfs</command></userinput></screen>
 
Index: postlfs/config/random.xml
===================================================================
--- postlfs/config/random.xml	(revision 396508bc42c32855e701ee165f2fea06ce6f8596)
+++ postlfs/config/random.xml	(revision 4774914fcb64cb0925f7aa354e1ba1dd5e0cf336)
@@ -30,5 +30,5 @@
 init script included with the
 <xref linkend="intro-important-bootscripts"/> package.</para>
-                                                                                                                
+
 <screen><userinput><command>make install-random</command></userinput></screen>
 
Index: server/other/dhcp.xml
===================================================================
--- server/other/dhcp.xml	(revision 396508bc42c32855e701ee165f2fea06ce6f8596)
+++ server/other/dhcp.xml	(revision 4774914fcb64cb0925f7aa354e1ba1dd5e0cf336)
@@ -10,5 +10,4 @@
 <!ENTITY dhcp-buildsize "29.6 MB">
 <!ENTITY dhcp-time "0.23 SBU">
-
 ]>
 
@@ -58,6 +57,7 @@
 <note><para>You must have Packet Socket support compiled in the kernel and 
 Socket Filtering either compiled in or as a kernel module.</para></note>
-                                                                                
-<para>Install <application><acronym>DHCP</acronym></application> by running the following commands:</para>
+
+<para>Install <application><acronym>DHCP</acronym></application> by running 
+the following commands:</para>
 
 <screen><userinput><command>patch -Np1 -i ../dhcp-&dhcp-version;-iproute2-1.patch &amp;&amp;
@@ -98,5 +98,5 @@
 <para>Install the <filename>/etc/rc.d/init.d/dhcp</filename>
 init script included in the <xref linkend="intro-important-bootscripts"/> package.</para>
-                                                                                                                
+
 <screen><userinput><command>make install-dhcp</command></userinput></screen>
 
@@ -133,5 +133,6 @@
 
 <para>The <application><acronym>DHCP</acronym></application> package contains 
-<command>dhclient</command>, <command>dhcpd</command> and <command>dhcrelay</command>.</para>
+<command>dhclient</command>, <command>dhcpd</command> and 
+<command>dhcrelay</command>.</para>
 
 </sect2>
Index: server/other/svnserver.xml
===================================================================
--- server/other/svnserver.xml	(revision 396508bc42c32855e701ee165f2fea06ce6f8596)
+++ server/other/svnserver.xml	(revision 4774914fcb64cb0925f7aa354e1ba1dd5e0cf336)
@@ -4,5 +4,4 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
-
 ]>
 
@@ -30,6 +29,6 @@
 <sect2>
 <title>Setting up a <application>Subversion</application> server.</title>
-                                                                               
-<para>The following instructions will install a  
+
+<para>The following instructions will install a 
 <application>Subversion</application> server, which will be set up to
 use <application>OpenSSH</application> as the secure remote access method, with
@@ -38,5 +37,5 @@
 <para>Configuration of the <application>Subversion</application> server 
 consists of the following steps:</para>
-                                                                                
+
 <sect3><title>1. Setup users, groups, and permissions</title>
 <para>You'll need to be user root for the initial portion of
@@ -139,5 +138,5 @@
 that you wish to have write access to the repository, to the svn and 
 svntest groups.</para>
-         
+
 <para>In addition, you'll notice that the new repository's
 <filename>db</filename> directory is set-groupID. If the reasoning is 
Index: x/wm/sawfish.xml
===================================================================
--- x/wm/sawfish.xml	(revision 396508bc42c32855e701ee165f2fea06ce6f8596)
+++ x/wm/sawfish.xml	(revision 4774914fcb64cb0925f7aa354e1ba1dd5e0cf336)
@@ -35,19 +35,22 @@
 url="&sawfish-download-ftp;"/></para></listitem>
 <listitem><para>Download size: &sawfish-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
+<listitem><para>Estimated disk space required:
 &sawfish-buildsize;</para></listitem>
 <listitem><para>Estimated build time:
 &sawfish-time;</para></listitem></itemizedlist>
 </sect3>
-                                                                                
+
 <sect3><title><application>sawfish</application> dependencies</title>
 <sect4><title>Required</title>
-<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), <xref linkend="librep"/>, <xref
-linkend="rep-gtk"/>, <xref linkend="esound"/> and <xref linkend="GTK2"/></para>
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), 
+<xref linkend="librep"/>, 
+<xref linkend="rep-gtk"/>, 
+<xref linkend="esound"/> and 
+<xref linkend="GTK2"/></para>
 </sect4>
+
 <sect4><title>Optional</title>
 <para><xref linkend="libglade"/></para></sect4>
 </sect3>
-
 
 </sect2>
@@ -64,5 +67,4 @@
 make install</command></userinput></screen>
 
-
 </sect2>
 
@@ -71,5 +73,6 @@
 
 <para><option>--with-audiofile</option>: This command directs
-<application>sawfish</application> to use <filename class="libraryfile">libaudiofile</filename> 
+<application>sawfish</application> to use 
+<filename class="libraryfile">libaudiofile</filename> 
 for sound manipulation.</para>
 
@@ -101,6 +104,6 @@
 <title>Contents</title>
 
-<para>The <application>sawfish</application> package contains <command>
-sawfish</command>.</para>
+<para>The <application>sawfish</application> package contains 
+<command>sawfish</command>.</para>
 
 </sect2>
Index: x/wm/xfce.xml
===================================================================
--- x/wm/xfce.xml	(revision 396508bc42c32855e701ee165f2fea06ce6f8596)
+++ x/wm/xfce.xml	(revision 4774914fcb64cb0925f7aa354e1ba1dd5e0cf336)
@@ -23,5 +23,6 @@
 <title>Introduction to <application>XFce</application></title>
 
-<para>The <application>XFce</application> package contains a lightweight desktop environment.</para>
+<para>The <application>XFce</application> package contains a lightweight 
+desktop environment.</para>
 
 <sect3><title>Package information</title>
@@ -32,18 +33,20 @@
 url="&xfce-download-ftp;"/></para></listitem>
 <listitem><para>Download size: &xfce-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
+<listitem><para>Estimated disk space required:
 &xfce-buildsize;</para></listitem>
 <listitem><para>Estimated build time:
 &xfce-time;</para></listitem></itemizedlist>
 </sect3>
-                                                                                
+
 <sect3><title><application>XFce</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="GTK2"/> and <xref
-linkend="libxml2"/></para></sect4>
+<para><xref linkend="GTK2"/> and 
+<xref linkend="libxml2"/></para>
+</sect4>
+
 <sect4><title>Optional</title>
-<para><xref linkend="libgtkhtml"/> and <xref
-linkend="startup-notification"/>
-</para></sect4>
+<para><xref linkend="libgtkhtml"/> and 
+<xref linkend="startup-notification"/></para>
+</sect4>
 </sect3>
 
@@ -58,5 +61,7 @@
 the bare minimum to run the application.  The remaining modules would
 all follow the same pattern which will soon become obvious.</para>
-<para>Install <application>XFce</application> by running the following commands:</para>
+
+<para>Install <application>XFce</application> by running the following 
+commands:</para>
 
 <screen><userinput><command>cd src &amp;&amp;
@@ -110,7 +115,7 @@
 
 <para>Modules not installed above are: dbh-1.0.15 (required for xffm),
-gtk-xfce-engine-2.1.9, xfcalendar-0.1.6, xfce-mcs-plugins, xfce4-iconbox, xfce4-mixer,
-xfce4-systray, xfce4-themes, xfce4-toys, xfce4-trigger-launcher, xffm,
-xffm-icons, xfprint and xfwm4-themes.</para>
+gtk-xfce-engine-2.1.9, xfcalendar-0.1.6, xfce-mcs-plugins, xfce4-iconbox, 
+xfce4-mixer, xfce4-systray, xfce4-themes, xfce4-toys, xfce4-trigger-launcher, 
+xffm, xffm-icons, xfprint and xfwm4-themes.</para>
 
 </sect2>
@@ -125,7 +130,7 @@
 <sect3><title>Configuration Information</title>
 
-<para>Be sure to backup your current <filename>.xinitrc</filename>
-before
+<para>Be sure to backup your current <filename>.xinitrc</filename> before 
 proceeding.</para>
+
 <screen><userinput><command>cat &gt;&gt; ~/.xinitrc &lt;&lt; "EOF"</command>
 xfce-mcs-manager
@@ -135,5 +140,4 @@
 exec xfce4-panel
 <command>EOF</command></userinput></screen>
-
 
 </sect3>