Index: pst/sgml/docbook-dsssl/docbook-dsssl-config.xml
===================================================================
--- pst/sgml/docbook-dsssl/docbook-dsssl-config.xml	(revision 4962684fe2e800720d00f5879cfbd1d780ed97d0)
+++ pst/sgml/docbook-dsssl/docbook-dsssl-config.xml	(revision 4962684fe2e800720d00f5879cfbd1d780ed97d0)
@@ -0,0 +1,33 @@
+<sect2>
+<title>Configuring <application>DocBook <acronym>DSSSL</acronym> Stylesheets</application></title>
+
+<sect3><title>Configuration Information</title>
+
+<para>The following configuration is necessary in order to utilize
+<application>OpenJade</application> to convert the <acronym>BLFS</acronym> 
+Book from <acronym>XML</acronym> to <acronym>HTML</acronym>:
+<screen><userinput><command>ln -sf {your home directory}/BLFS/BOOK/blfs.dsl \
+/usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/html/</command></userinput></screen>
+</para>
+
+<para>If you would like to test <application>Docbook <acronym>XML</acronym>
+<acronym>DTD</acronym></application>, <application>DocBook 
+<acronym>DSSSL</acronym> Stylesheets</application> and
+<application>OpenJade</application> against the <acronym>BLFS</acronym> book, 
+use the following command. The commands are written for a 
+<application><acronym>CVS</acronym></application> checkout to your home 
+directory with output going to the present working directory, so make any 
+necessary modifications for your setup.
+<screen><userinput><command>mkdir introduction postlfs general connect basicnet server \
+content x kde gnome xsoft multimedia pst preface appendices other &amp;&amp;
+openjade -t sgml \
+-d /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/html/blfs.dsl \
+/usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/dtds/decls/xml.dcl \
+~/BLFS/BOOK/index.xml</command></userinput></screen>
+If successful you should have a <acronym>HTML</acronym>
+<acronym>BLFS</acronym> book in exactly the same
+format as presented on the web page.</para>
+</sect3>
+
+</sect2>
+
Index: pst/sgml/docbook-dsssl/docbook-dsssl-desc.xml
===================================================================
--- pst/sgml/docbook-dsssl/docbook-dsssl-desc.xml	(revision 4962684fe2e800720d00f5879cfbd1d780ed97d0)
+++ pst/sgml/docbook-dsssl/docbook-dsssl-desc.xml	(revision 4962684fe2e800720d00f5879cfbd1d780ed97d0)
@@ -0,0 +1,18 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application>DocBook <acronym>DSSSL</acronym> Stylesheets</application> package 
+contains <acronym>DSSSL</acronym> stylesheets and <command>collateindex.pl</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>collateindex.pl</title>
+<para><command>collateindex.pl</command> is a
+<application>Perl</application> script that creates a DocBook index
+from raw index data. </para></sect3>
+
+
+</sect2>
+
Index: pst/sgml/docbook-dsssl/docbook-dsssl-exp.xml
===================================================================
--- pst/sgml/docbook-dsssl/docbook-dsssl-exp.xml	(revision 4962684fe2e800720d00f5879cfbd1d780ed97d0)
+++ pst/sgml/docbook-dsssl/docbook-dsssl-exp.xml	(revision 4962684fe2e800720d00f5879cfbd1d780ed97d0)
@@ -0,0 +1,8 @@
+<sect2>
+<title>Command explanations</title>
+
+<para>These commands create a <command>make install</command> script
+for this package.</para>
+
+</sect2>
+
Index: pst/sgml/docbook-dsssl/docbook-dsssl-inst.xml
===================================================================
--- pst/sgml/docbook-dsssl/docbook-dsssl-inst.xml	(revision 4962684fe2e800720d00f5879cfbd1d780ed97d0)
+++ pst/sgml/docbook-dsssl/docbook-dsssl-inst.xml	(revision 4962684fe2e800720d00f5879cfbd1d780ed97d0)
@@ -0,0 +1,30 @@
+<sect2>
+<title>Installation of <application>DocBook <acronym>DSSSL</acronym> Stylesheets</application></title>
+
+<para>Install <application>DocBook <acronym>DSSSL</acronym> Stylesheets</application> by running the following commands:</para>
+
+<screen><userinput><command>mkdir -p /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/dtds/decls &amp;&amp;
+mkdir -p /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/lib &amp;&amp;
+mkdir -p /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/common &amp;&amp;
+mkdir -p /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/html &amp;&amp;
+mkdir -p /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/print &amp;&amp;
+mkdir -p /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/test &amp;&amp;
+mkdir -p /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/images &amp;&amp;
+install bin/collateindex.pl /usr/bin &amp;&amp;
+cp catalog VERSION /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version; &amp;&amp;
+cp dtds/decls/*.dcl \
+/usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/dtds/decls &amp;&amp;
+cp lib/dblib.dsl /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/lib &amp;&amp;
+cp common/*.dsl /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/common &amp;&amp;
+cp common/*.ent /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/common &amp;&amp;
+cp html/*.dsl /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/html &amp;&amp;
+cp lib/*.dsl /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/lib &amp;&amp;
+cp print/*.dsl /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/print &amp;&amp;
+cp images/*.gif /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/images &amp;&amp;
+install-catalog --add /etc/sgml/dsssl-docbook-stylesheets.cat \
+/usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/catalog &amp;&amp;
+install-catalog --add /etc/sgml/sgml-docbook.cat \
+/etc/sgml/dsssl-docbook-stylesheets.cat</command></userinput></screen>
+
+</sect2>
+
Index: pst/sgml/docbook-dsssl/docbook-dsssl-intro.xml
===================================================================
--- pst/sgml/docbook-dsssl/docbook-dsssl-intro.xml	(revision 4962684fe2e800720d00f5879cfbd1d780ed97d0)
+++ pst/sgml/docbook-dsssl/docbook-dsssl-intro.xml	(revision 4962684fe2e800720d00f5879cfbd1d780ed97d0)
@@ -0,0 +1,25 @@
+<sect2>
+<title>Introduction to <application>DocBook <acronym>DSSSL</acronym> Stylesheets</application></title>
+
+<para>The <application>DocBook <acronym>DSSSL</acronym> Stylesheets</application> package 
+contains <acronym>DSSSL</acronym> stylesheets. These are
+used by <application>OpenJade</application> or other tools to transform
+<acronym>SGML</acronym> and <acronym>XML</acronym> DocBook files.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&docbook-dsssl-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&docbook-dsssl-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &docbook-dsssl-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &docbook-dsssl-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &docbook-dsssl-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>DocBook <acronym>DSSSL</acronym> Stylesheets</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="sgml-common"/></para></sect4>
+</sect3>
+
+
+
+</sect2>
Index: pst/sgml/docbook-dsssl/docbook-dsssl.ent
===================================================================
--- pst/sgml/docbook-dsssl/docbook-dsssl.ent	(revision 4962684fe2e800720d00f5879cfbd1d780ed97d0)
+++ pst/sgml/docbook-dsssl/docbook-dsssl.ent	(revision 4962684fe2e800720d00f5879cfbd1d780ed97d0)
@@ -0,0 +1,12 @@
+<!ENTITY docbook-dsssl SYSTEM "../docbook-dsssl.xml">
+<!ENTITY docbook-dsssl-intro SYSTEM "docbook-dsssl-intro.xml">
+<!ENTITY docbook-dsssl-inst SYSTEM "docbook-dsssl-inst.xml">
+<!ENTITY docbook-dsssl-exp SYSTEM "docbook-dsssl-exp.xml">
+<!ENTITY docbook-dsssl-config SYSTEM "docbook-dsssl-config.xml">
+<!ENTITY docbook-dsssl-desc SYSTEM "docbook-dsssl-desc.xml">
+<!ENTITY docbook-dsssl-version "1.78">
+<!ENTITY docbook-dsssl-download-http "http://telia.dl.sourceforge.net/sourceforge/docbook/docbook-dsssl-&docbook-dsssl-version;.tar.gz">
+<!ENTITY docbook-dsssl-download-ftp "">
+<!ENTITY docbook-dsssl-size "384 KB">
+<!ENTITY docbook-dsssl-buildsize "4 MB">
+<!ENTITY docbook-dsssl-time "0.01 SBU">